/*
 *
 *  ==  Coconut ==
 *  2D Adventure Game Engine
 *
 *  Copyright (C) 2000 Sebastien Josset
 *  sebastien.josset@free.fr
 *  
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Library General Public
 *  License as published by the Free Software Foundation; either
 *  version 2 of the License, or (at your option) any later version.
 *
 */

/*
 *
 *  Coconut
 *  Moteur
 *	Load/save coconut scenario file
 *
 *
 */

#ifndef M_FILES_H
#define M_FILES_H

int M_loadFile(char *ip_name);
int M_saveFile(char *ip_name);
int M_saveFile_current();
int M_saveFile_H(char *ip_name);
int M_saveFile_BaseFich(char *ip_name);
int M_saveFile_BaseRes(char *ip_name);
int M_saveFile_BaseExtract(char *ip_name);
int M_loadConfigFileInMem(char *ip_name);
int M_getParamStr(char *ip_para, char *ip_param, char *ip_defaut, char *ip_buf, int i_sizebuf);
int M_getParamInt(char *ip_para, char *ip_param, int i_valDefaut);
void M_file_clear();




#endif