/*
 *
 *  ==  Coconut ==
 *  2D Adventure Game Engine
 *
 *  Copyright (C) 2000 Sebastien Josset
 *  sebastien.josset@free.fr
 *  
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Library General Public
 *  License as published by the Free Software Foundation; either
 *  version 2 of the License, or (at your option) any later version.
 *
 */

/*
 *
 *  Coconut
 *  Ressources Bmp
 *
 *
 */
#ifndef R_RESSOURCES_BMP_H
#define R_RESSOURCES_BMP_H

/****** System Includes ******/
#ifdef WIN32
#include <windows.h>
#endif
/****** Application Includes ******/
#include "M_types.h"

/*
 * Ces ressources sont destines  dcrire les chemins 
 * possibles lors des dplacement.
 * Les codes spcifiques (GetPixel) sont destins 
 *  du 256 coul.
 *
 */
class TC_RESBMP
{
  public:
#ifdef WIN32
	HGLOBAL				hmem_bmi;
	BITMAPINFO			*lpbmi;
	HGLOBAL				hmem_bit;
#endif
	char				*lpvBits;
	char				filePath[PATHLEN];
	TC_RESBMP();
	~TC_RESBMP();
	T_BOOL LoadBmpFromFile(char *ip_filename);
	char GetPixel(long i_x, long i_y); 

};
typedef TC_RESBMP	*TPC_RESBMP;


#endif


