/*
 *
 *  ==  Coconut : "Welcome in the Coconut Island" ==
 *  2D Adventure Game Scenario
 *
 *  Copyright (C) 2000 Sebastien Josset
 *  sebastien.josset@free.fr
 *  
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Library General Public
 *  License as published by the Free Software Foundation; either
 *  version 2 of the License, or (at your option) any later version.
 *
 */
/*
 *
 *  Coconut
 *  Dialogue biond_parachute
 *
 *
 */

/****** Includes systmes ******/
/****** Includes applicatifs ******/

#include "coco_res.h"
#include "O_objets.h"
#include "D_biond_bar.h"
#include "M_engine.h"
#include "S_son.h"



void D_biond_bar_go()
{
		cgb_dialog_on();
		D_biond_bar_1();
}

void D_biond_bar_end()
{
	cgb_dialog_off();

}

/********************************/
void D_biond_bar_1()
{
		cgb_obj_get_ptr_by_name(C_Objet_O_parachutiste)->AffText(
					C_Res_RT_D_biond_bar_1, M_dialogue_temps_aff, T_TRUE);
		S_playWavFromRes(C_Res_RS_D_biond_bar_1);
		M_process_for_n_sec( M_dialogue_temps_aff );
		M_gdialogue.dialogue_set( 
					C_Res_RT_D_biond_bar_1_1,C_Res_RS_D_biond_bar_1_1,
					C_Res_RT_D_biond_bar_1_2,C_Res_RS_D_biond_bar_1_2,
					C_Res_RT_D_biond_bar_1_3,C_Res_RS_D_biond_bar_1_3,
					D_biond_bar_1_rep);
}


void D_biond_bar_1_rep(TE_Dialogue i_choix)
{
	switch(i_choix) {
	case Dialogue_1:
		D_biond_bar_2();
		break;
	case Dialogue_2:
		D_biond_bar_26();
		break;
	case Dialogue_3:
		D_biond_bar_4();
		break;
	default:
		break;
	}
}

/********************************/
void D_biond_bar_2()
{
		cgb_obj_get_ptr_by_name(C_Objet_O_parachutiste)->AffText(
					C_Res_RT_D_biond_bar_2, M_dialogue_temps_aff, T_TRUE);
		S_playWavFromRes(C_Res_RS_D_biond_bar_2);
		M_process_for_n_sec( M_dialogue_temps_aff );
		M_gdialogue.dialogue_set( 
					C_Res_RT_D_biond_bar_2_1,C_Res_RS_D_biond_bar_2_1,
					C_Res_RT_D_biond_bar_2_2,C_Res_RS_D_biond_bar_2_2,
					C_Res_RT_D_biond_bar_2_3,C_Res_RS_D_biond_bar_2_3,
					D_biond_bar_2_rep);
}


void D_biond_bar_2_rep(TE_Dialogue i_choix)
{
	switch(i_choix) {
	case Dialogue_1:
		D_biond_bar_5();
		break;
	case Dialogue_2:
		D_biond_bar_6();
		break;
	case Dialogue_3:
		D_biond_bar_7();
		break;
	default:
		break;
	}
}



/********************************/
void D_biond_bar_4()
{
		cgb_obj_get_ptr_by_name(C_Objet_O_parachutiste)->AffText(
					C_Res_RT_D_biond_bar_4, M_dialogue_temps_aff, T_TRUE);
		S_playWavFromRes(C_Res_RS_D_biond_bar_4);
		M_process_for_n_sec( M_dialogue_temps_aff );
		M_gdialogue.dialogue_set( 
					C_Res_RT_D_biond_bar_4_1,C_Res_RS_D_biond_bar_4_1,
					C_Res_RT_D_biond_bar_4_2,C_Res_RS_D_biond_bar_4_2,
					C_Res_RT_D_NULL,C_Res_RS_NULL,
					D_biond_bar_4_rep);
}


void D_biond_bar_4_rep(TE_Dialogue i_choix)
{
	switch(i_choix) {
	case Dialogue_1:
		D_biond_bar_2();
		break;
	case Dialogue_2:
		D_biond_bar_end();
		break;
	case Dialogue_3:
		break;
	default:
		break;
	}
}

/********************************/
void D_biond_bar_5()
{
		cgb_obj_get_ptr_by_name(C_Objet_O_parachutiste)->AffText(
					C_Res_RT_D_biond_bar_5, M_dialogue_temps_aff, T_TRUE);
		S_playWavFromRes(C_Res_RS_D_biond_bar_5);
		M_process_for_n_sec( M_dialogue_temps_aff );
		M_gdialogue.dialogue_set( 
					C_Res_RT_D_biond_bar_5_1,C_Res_RS_D_biond_bar_5_1,
					C_Res_RT_D_biond_bar_5_2,C_Res_RS_D_biond_bar_5_2,
					C_Res_RT_D_biond_bar_5_3,C_Res_RS_D_biond_bar_5_3,
					D_biond_bar_5_rep);
}


void D_biond_bar_5_rep(TE_Dialogue i_choix)
{
	switch(i_choix) {
	case Dialogue_1:
		D_biond_bar_8();
		break;
	case Dialogue_2:
		D_biond_bar_9();
		break;
	case Dialogue_3:
		D_biond_bar_end();
		break;
	default:
		break;
	}
}


/********************************/
void D_biond_bar_6()
{
		cgb_obj_get_ptr_by_name(C_Objet_O_parachutiste)->AffText(
					C_Res_RT_D_biond_bar_6, M_dialogue_temps_aff, T_TRUE);
		S_playWavFromRes(C_Res_RS_D_biond_bar_6);
		M_process_for_n_sec( M_dialogue_temps_aff );
		M_gdialogue.dialogue_set( 
					C_Res_RT_D_biond_bar_6_1,C_Res_RS_D_biond_bar_6_1,
					C_Res_RT_D_biond_bar_6_2,C_Res_RS_D_biond_bar_6_2,
					C_Res_RT_D_NULL,C_Res_RS_NULL,
					D_biond_bar_6_rep);
}


void D_biond_bar_6_rep(TE_Dialogue i_choix)
{
	switch(i_choix) {
	case Dialogue_1:
		D_biond_bar_10();
		break;
	case Dialogue_2:
		D_biond_bar_11();
		break;
	case Dialogue_3:
		D_biond_bar_end();
		break;
	default:
		break;
	}
}

/********************************/
void D_biond_bar_7()
{
		cgb_dialog_on();
		cgb_obj_get_ptr_by_name(C_Objet_O_parachutiste)->AffText(
					C_Res_RT_D_biond_bar_7, M_dialogue_temps_aff, T_TRUE);
		S_playWavFromRes(C_Res_RS_D_biond_bar_7);
		M_process_for_n_sec( M_dialogue_temps_aff );
		M_gdialogue.dialogue_set( 
					C_Res_RT_D_biond_bar_7_1,C_Res_RS_D_biond_bar_7_1,
					C_Res_RT_D_biond_bar_7_2,C_Res_RS_D_biond_bar_7_2,
					C_Res_RT_D_NULL,C_Res_RS_NULL,
					D_biond_bar_7_rep);
}


void D_biond_bar_7_rep(TE_Dialogue i_choix)
{
	switch(i_choix) {
	case Dialogue_1:
		D_biond_bar_end();
		break;
	case Dialogue_2:
		D_biond_bar_12();
		break;
	case Dialogue_3:
		break;
	default:
		break;
	}
}




/********************************/
void D_biond_bar_8()
{
		cgb_dialog_on();
		cgb_obj_get_ptr_by_name(C_Objet_O_parachutiste)->AffText(
					C_Res_RT_D_biond_bar_8, M_dialogue_temps_aff, T_TRUE);
		S_playWavFromRes(C_Res_RS_D_biond_bar_8);
		M_process_for_n_sec( M_dialogue_temps_aff );
		M_gdialogue.dialogue_set( 
					C_Res_RT_D_biond_bar_8_1,C_Res_RS_D_biond_bar_8_1,
					C_Res_RT_D_biond_bar_8_2,C_Res_RS_D_biond_bar_8_2,
					C_Res_RT_D_NULL,C_Res_RS_NULL,
					D_biond_bar_8_rep);
}


void D_biond_bar_8_rep(TE_Dialogue i_choix)
{
	switch(i_choix) {
	case Dialogue_1:
		D_biond_bar_6();
		break;
	case Dialogue_2:
		D_biond_bar_14();
		break;
	case Dialogue_3:
		break;
	default:
		break;
	}
}


/********************************/
void D_biond_bar_9()
{
		cgb_obj_get_ptr_by_name(C_Objet_O_parachutiste)->AffText(
					C_Res_RT_D_biond_bar_9, M_dialogue_temps_aff, T_TRUE);
		S_playWavFromRes(C_Res_RS_D_biond_bar_9);
		M_process_for_n_sec( M_dialogue_temps_aff );
		M_gdialogue.dialogue_set( 
					C_Res_RT_D_biond_bar_9_1,C_Res_RS_D_biond_bar_9_1,
					C_Res_RT_D_biond_bar_9_2,C_Res_RS_D_biond_bar_9_2,
					C_Res_RT_D_biond_bar_9_3,C_Res_RS_D_biond_bar_9_3,
					D_biond_bar_9_rep);
}


void D_biond_bar_9_rep(TE_Dialogue i_choix)
{
	switch(i_choix) {
	case Dialogue_1:
		D_biond_bar_15();
		break;
	case Dialogue_2:
		D_biond_bar_16();
		break;
	case Dialogue_3:
		D_biond_bar_17();
		break;
	default:
		break;
	}
}



/********************************/
void D_biond_bar_10()
{
		cgb_dialog_on();
		cgb_obj_get_ptr_by_name(C_Objet_O_parachutiste)->AffText(
					C_Res_RT_D_biond_bar_10, M_dialogue_temps_aff, T_TRUE);
		S_playWavFromRes(C_Res_RS_D_biond_bar_10);
		M_process_for_n_sec( M_dialogue_temps_aff );
		M_gdialogue.dialogue_set( 
					C_Res_RT_D_biond_bar_10_1,C_Res_RS_D_biond_bar_10_1,
					C_Res_RT_D_biond_bar_10_2,C_Res_RS_D_biond_bar_10_2,
					C_Res_RT_D_NULL,C_Res_RS_NULL,
					D_biond_bar_10_rep);
}


void D_biond_bar_10_rep(TE_Dialogue i_choix)
{
	switch(i_choix) {
	case Dialogue_1:
		D_biond_bar_18();
		break;
	case Dialogue_2:
		D_biond_bar_12();
		break;
	case Dialogue_3:
		break;
	default:
		break;
	}
}

/********************************/
void D_biond_bar_11()
{
		cgb_dialog_on();
		cgb_obj_get_ptr_by_name(C_Objet_O_parachutiste)->AffText(
					C_Res_RT_D_biond_bar_11, M_dialogue_temps_aff, T_TRUE);
		S_playWavFromRes(C_Res_RS_D_biond_bar_11);
		M_process_for_n_sec( M_dialogue_temps_aff );
		M_gdialogue.dialogue_set( 
					C_Res_RT_D_biond_bar_11_1,C_Res_RS_D_biond_bar_11_1,
					C_Res_RT_D_biond_bar_11_2,C_Res_RS_D_biond_bar_11_2,
					C_Res_RT_D_NULL,C_Res_RS_NULL,
					D_biond_bar_11_rep);
}


void D_biond_bar_11_rep(TE_Dialogue i_choix)
{
	switch(i_choix) {
	case Dialogue_1:
		D_biond_bar_10();
		break;
	case Dialogue_2:
		D_biond_bar_12();
		break;
	case Dialogue_3:
		break;
	default:
		break;
	}
}

/********************************/
void D_biond_bar_12()
{
		cgb_obj_get_ptr_by_name(C_Objet_O_parachutiste)->AffText(
					C_Res_RT_D_biond_bar_12, M_dialogue_temps_aff, T_TRUE);
		S_playWavFromRes(C_Res_RS_D_biond_bar_12);
		M_process_for_n_sec( M_dialogue_temps_aff );
		D_biond_bar_end();
}


/********************************/
void D_biond_bar_14()
{
		cgb_dialog_on();
		cgb_obj_get_ptr_by_name(C_Objet_O_parachutiste)->AffText(
					C_Res_RT_D_biond_bar_14, M_dialogue_temps_aff, T_TRUE);
		S_playWavFromRes(C_Res_RS_D_biond_bar_14);
		M_process_for_n_sec( M_dialogue_temps_aff );
		M_gdialogue.dialogue_set( 
					C_Res_RT_D_biond_bar_14_1,C_Res_RS_D_biond_bar_14_1,
					C_Res_RT_D_biond_bar_14_2,C_Res_RS_D_biond_bar_14_2,
					C_Res_RT_D_NULL,C_Res_RS_NULL,
					D_biond_bar_14_rep);
}


void D_biond_bar_14_rep(TE_Dialogue i_choix)
{
	switch(i_choix) {
	case Dialogue_1:
		D_biond_bar_19();
		break;
	case Dialogue_2:
		D_biond_bar_12();
		break;
	case Dialogue_3:
		break;
	default:
		break;
	}
}


/********************************/
void D_biond_bar_15()
{
		cgb_obj_get_ptr_by_name(C_Objet_O_parachutiste)->AffText(
					C_Res_RT_D_biond_bar_15, M_dialogue_temps_aff, T_TRUE);
		S_playWavFromRes(C_Res_RS_D_biond_bar_15);
		M_process_for_n_sec( M_dialogue_temps_aff );
		D_biond_bar_end();
}

/********************************/
void D_biond_bar_16()
{
		cgb_dialog_on();
		cgb_obj_get_ptr_by_name(C_Objet_O_parachutiste)->AffText(
					C_Res_RT_D_biond_bar_16, M_dialogue_temps_aff, T_TRUE);
		S_playWavFromRes(C_Res_RT_D_biond_bar_16);
		M_process_for_n_sec( M_dialogue_temps_aff );
		M_gdialogue.dialogue_set( 
					C_Res_RT_D_biond_bar_16_1,C_Res_RS_D_biond_bar_16_1,
					C_Res_RT_D_biond_bar_16_2,C_Res_RS_D_biond_bar_16_2,
					C_Res_RT_D_NULL,C_Res_RS_NULL,
					D_biond_bar_16_rep);
}


void D_biond_bar_16_rep(TE_Dialogue i_choix)
{
	switch(i_choix) {
	case Dialogue_1:
		D_biond_bar_20();
		break;
	case Dialogue_2:
		D_biond_bar_end();
		break;
	case Dialogue_3:
		break;
	default:
		break;
	}
}



/********************************/
void D_biond_bar_17()
{
		cgb_obj_get_ptr_by_name(C_Objet_O_parachutiste)->AffText(
					C_Res_RT_D_biond_bar_17, M_dialogue_temps_aff, T_TRUE);
		S_playWavFromRes(C_Res_RS_D_biond_bar_17);
		M_process_for_n_sec( M_dialogue_temps_aff );
		D_biond_bar_end();
}


/********************************/
void D_biond_bar_18()
{
		cgb_dialog_on();
		cgb_obj_get_ptr_by_name(C_Objet_O_parachutiste)->AffText(
					C_Res_RT_D_biond_bar_18, M_dialogue_temps_aff, T_TRUE);
		S_playWavFromRes(C_Res_RS_D_biond_bar_18);
		M_process_for_n_sec( M_dialogue_temps_aff );
		M_gdialogue.dialogue_set( 
					C_Res_RT_D_biond_bar_18_1,C_Res_RS_D_biond_bar_18_1,
					C_Res_RT_D_biond_bar_18_2,C_Res_RS_D_biond_bar_18_2,
					C_Res_RT_D_NULL,C_Res_RS_NULL,
					D_biond_bar_18_rep);
}


void D_biond_bar_18_rep(TE_Dialogue i_choix)
{
	switch(i_choix) {
	case Dialogue_1:
		D_biond_bar_21();
		break;
	case Dialogue_2:
		D_biond_bar_22();
		break;
	case Dialogue_3:
		break;
	default:
		break;
	}
}

/********************************/
void D_biond_bar_19()
{
		cgb_obj_get_ptr_by_name(C_Objet_O_parachutiste)->AffText(
					C_Res_RT_D_biond_bar_19, M_dialogue_temps_aff, T_TRUE);
		S_playWavFromRes(C_Res_RS_D_biond_bar_19);
		M_process_for_n_sec( M_dialogue_temps_aff );
		M_gdialogue.dialogue_set( 
					C_Res_RT_D_biond_bar_19_1,C_Res_RS_D_biond_bar_19_1,
					C_Res_RT_D_biond_bar_19_2,C_Res_RS_D_biond_bar_19_2,
					C_Res_RT_D_biond_bar_19_3,C_Res_RS_D_biond_bar_19_3,
					D_biond_bar_19_rep);
}


void D_biond_bar_19_rep(TE_Dialogue i_choix)
{
	switch(i_choix) {
	case Dialogue_1:
		D_biond_bar_23();
		break;
	case Dialogue_2:
		D_biond_bar_24();
		break;
	case Dialogue_3:
		D_biond_bar_24();
		break;
	default:
		break;
	}
}

/********************************/
void D_biond_bar_20()
{
		cgb_dialog_on();
		cgb_obj_get_ptr_by_name(C_Objet_O_parachutiste)->AffText(
					C_Res_RT_D_biond_bar_20, M_dialogue_temps_aff, T_TRUE);
		S_playWavFromRes(C_Res_RS_D_biond_bar_20);
		M_process_for_n_sec( M_dialogue_temps_aff );
		M_gdialogue.dialogue_set( 
					C_Res_RT_D_biond_bar_20_1,C_Res_RS_D_biond_bar_20_1,
					C_Res_RT_D_biond_bar_20_2,C_Res_RS_D_biond_bar_20_2,
					C_Res_RT_D_NULL,C_Res_RS_NULL,
					D_biond_bar_20_rep);
}


void D_biond_bar_20_rep(TE_Dialogue i_choix)
{
	switch(i_choix) {
	case Dialogue_1:
		D_biond_bar_8();
		break;
	case Dialogue_2:
		D_biond_bar_12();
		break;
	case Dialogue_3:
		break;
	default:
		break;
	}
}

/********************************/
void D_biond_bar_21()
{
		cgb_dialog_on();
		cgb_obj_get_ptr_by_name(C_Objet_O_parachutiste)->AffText(
					C_Res_RT_D_biond_bar_21, M_dialogue_temps_aff, T_TRUE);
		S_playWavFromRes(C_Res_RS_D_biond_bar_21);
		M_process_for_n_sec( M_dialogue_temps_aff );
		M_gdialogue.dialogue_set( 
					C_Res_RT_D_biond_bar_21_1,C_Res_RS_D_biond_bar_21_1,
					C_Res_RT_D_biond_bar_21_2,C_Res_RS_D_biond_bar_21_2,
					C_Res_RT_D_NULL,C_Res_RS_NULL,
					D_biond_bar_21_rep);
}


void D_biond_bar_21_rep(TE_Dialogue i_choix)
{
	switch(i_choix) {
	case Dialogue_1:
		D_biond_bar_25();
		break;
	case Dialogue_2:
		D_biond_bar_end();
		break;
	case Dialogue_3:
		break;
	default:
		break;
	}
}

/********************************/
void D_biond_bar_22()
{
		cgb_dialog_on();
		cgb_obj_get_ptr_by_name(C_Objet_O_parachutiste)->AffText(
					C_Res_RT_D_biond_bar_22, M_dialogue_temps_aff, T_TRUE);
		S_playWavFromRes(C_Res_RS_D_biond_bar_22);
		M_process_for_n_sec( M_dialogue_temps_aff );
		M_gdialogue.dialogue_set( 
					C_Res_RT_D_biond_bar_22_1,C_Res_RS_D_biond_bar_22_1,
					C_Res_RT_D_biond_bar_22_2,C_Res_RS_D_biond_bar_22_2,
					C_Res_RT_D_NULL,C_Res_RS_NULL,
					D_biond_bar_22_rep);
}


void D_biond_bar_22_rep(TE_Dialogue i_choix)
{
	switch(i_choix) {
	case Dialogue_1:
		D_biond_bar_21();
		break;
	case Dialogue_2:
		D_biond_bar_12();
		break;
	case Dialogue_3:
		break;
	default:
		break;
	}
}


/********************************/
void D_biond_bar_23()
{
		cgb_obj_get_ptr_by_name(C_Objet_O_parachutiste)->AffText(
					C_Res_RT_D_biond_bar_23, M_dialogue_temps_aff, T_TRUE);
		S_playWavFromRes(C_Res_RS_D_biond_bar_23);
		D_biond_bar_end();
}

/********************************/
void D_biond_bar_24()
{
		cgb_dialog_on();
		cgb_obj_get_ptr_by_name(C_Objet_O_parachutiste)->AffText(
					C_Res_RT_D_biond_bar_24, M_dialogue_temps_aff, T_TRUE);
		S_playWavFromRes(C_Res_RS_D_biond_bar_24);
		M_process_for_n_sec( M_dialogue_temps_aff );
		M_gdialogue.dialogue_set( 
					C_Res_RT_D_biond_bar_24_1,C_Res_RS_D_biond_bar_24_1,
					C_Res_RT_D_biond_bar_24_2,C_Res_RS_D_biond_bar_24_2,
					C_Res_RT_D_NULL,C_Res_RS_NULL,
					D_biond_bar_24_rep);
}


void D_biond_bar_24_rep(TE_Dialogue i_choix)
{
	switch(i_choix) {
	case Dialogue_1:
		D_biond_bar_6();
		break;
	case Dialogue_2:
		D_biond_bar_6();
		break;
	case Dialogue_3:
		break;
	default:
		break;
	}
}

/********************************/
void D_biond_bar_25()
{
		cgb_obj_get_ptr_by_name(C_Objet_O_parachutiste)->AffText(
					C_Res_RT_D_biond_bar_25, M_dialogue_temps_aff, T_TRUE);
		S_playWavFromRes(C_Res_RS_D_biond_bar_25);
		cgb_obj_get_ptr_by_name(C_Objet_O_panneau_clef_voiture)->SetisAfficher(T_TRUE);
		D_biond_bar_end();
}

/********************************/
void D_biond_bar_26()
{
		cgb_dialog_on();
		cgb_obj_get_ptr_by_name(C_Objet_O_parachutiste)->AffText(
					C_Res_RT_D_biond_bar_26, M_dialogue_temps_aff, T_TRUE);
		S_playWavFromRes(C_Res_RS_D_biond_bar_26);
		M_process_for_n_sec( M_dialogue_temps_aff );
		M_gdialogue.dialogue_set( 
					C_Res_RT_D_biond_bar_26_1,C_Res_RS_D_biond_bar_26_1,
					C_Res_RT_D_biond_bar_26_2,C_Res_RS_D_biond_bar_26_2,
					C_Res_RT_D_NULL,C_Res_RS_NULL,
					D_biond_bar_26_rep);
}


void D_biond_bar_26_rep(TE_Dialogue i_choix)
{
	switch(i_choix) {
	case Dialogue_1:
		D_biond_bar_end();
		break;
	case Dialogue_2:
		D_biond_bar_2();
		break;
	case Dialogue_3:
		break;
	default:
		break;
	}
}


