/*
 *
 *  ==  Coconut : "Welcome in the Coconut Island" ==
 *  2D Adventure Game Scenario
 *
 *  Copyright (C) 2000 Sebastien Josset
 *  sebastien.josset@free.fr
 *  
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Library General Public
 *  License as published by the Free Software Foundation; either
 *  version 2 of the License, or (at your option) any later version.
 *
 */
/*
 *
 *  Coconut
 *  Dialogue peone
 *
 *
 */

/****** Includes systmes ******/
/****** Includes applicatifs ******/

#include "coco_res.h"
#include "O_objets.h"
#include "D_peone.h"
#include "M_engine.h"
#include "S_son.h"



void D_peone_go()
{
		cgb_dialog_on();
		D_peone_1();
}

void D_peone_end()
{
	cgb_dialog_off();

}

/********************************/
void D_peone_1()
{
		cgb_obj_get_ptr_by_name(C_Objet_O_peone_creuse)->AffText(
					C_Res_RT_D_peone_1, M_dialogue_temps_aff, T_TRUE);
		S_playWavFromRes(C_Res_RS_D_peone_1);
		M_process_for_n_sec( M_dialogue_temps_aff );
		M_gdialogue.dialogue_set( 
					C_Res_RT_D_peone_1_1,C_Res_RS_D_peone_1_1,
					C_Res_RT_D_peone_1_2,C_Res_RS_D_peone_1_2,
					C_Res_RT_D_peone_1_3,C_Res_RS_D_peone_1_3,
					D_peone_1_rep);
}


void D_peone_1_rep(TE_Dialogue i_choix)
{
	switch(i_choix) {
	case Dialogue_1:
		D_peone_2();
		break;
	case Dialogue_2:
		D_peone_3();
		break;
	case Dialogue_3:
		D_peone_4();
		break;
	default:
		break;
	}
}

/********************************/
void D_peone_2()
{
		cgb_obj_get_ptr_by_name(C_Objet_O_peone_creuse)->AffText(
					C_Res_RT_D_peone_2, M_dialogue_temps_aff, T_TRUE);
		S_playWavFromRes(C_Res_RS_D_peone_2);
		D_peone_end();
}

/********************************/
void D_peone_3()
{
		cgb_obj_get_ptr_by_name(C_Objet_O_peone_creuse)->AffText(
					C_Res_RT_D_peone_3, M_dialogue_temps_aff, T_TRUE);
		S_playWavFromRes(C_Res_RS_D_peone_3);
		M_process_for_n_sec( M_dialogue_temps_aff );
		M_gdialogue.dialogue_set( 
					C_Res_RT_D_peone_3_1,C_Res_RS_D_peone_3_1,
					C_Res_RT_D_peone_3_2,C_Res_RS_D_peone_3_2,
					C_Res_RT_D_NULL,C_Res_RS_NULL,
					D_peone_3_rep);
}


void D_peone_3_rep(TE_Dialogue i_choix)
{
	switch(i_choix) {
	case Dialogue_1:
		D_peone_5();
		break;
	case Dialogue_2:
		D_peone_2();
		break;
	case Dialogue_3:
		break;
	default:
		break;
	}
}

/********************************/
void D_peone_4()
{
		cgb_obj_get_ptr_by_name(C_Objet_O_peone_creuse)->AffText(
					C_Res_RT_D_peone_4, M_dialogue_temps_aff, T_TRUE);
		S_playWavFromRes(C_Res_RS_D_peone_4);
		M_process_for_n_sec( M_dialogue_temps_aff );
		M_gdialogue.dialogue_set( 
					C_Res_RT_D_peone_4_1,C_Res_RS_D_peone_4_1,
					C_Res_RT_D_peone_4_2,C_Res_RS_D_peone_4_2,
					C_Res_RT_D_NULL,C_Res_RS_NULL,
					D_peone_4_rep);
}


void D_peone_4_rep(TE_Dialogue i_choix)
{
	switch(i_choix) {
	case Dialogue_1:
		D_peone_2();
		break;
	case Dialogue_2:
		D_peone_3();
		break;
	case Dialogue_3:
		break;
	default:
		break;
	}
}

/********************************/
void D_peone_5()
{
		cgb_obj_get_ptr_by_name(C_Objet_O_peone_creuse)->AffText(
					C_Res_RT_D_peone_5, M_dialogue_temps_aff, T_TRUE);
		S_playWavFromRes(C_Res_RS_D_peone_5);
		M_process_for_n_sec( M_dialogue_temps_aff );
		M_gdialogue.dialogue_set( 
					C_Res_RT_D_peone_5_1,C_Res_RS_D_peone_5_1,
					C_Res_RT_D_peone_5_2,C_Res_RS_D_peone_5_2,
					C_Res_RT_D_NULL,C_Res_RS_NULL,
					D_peone_5_rep);
}


void D_peone_5_rep(TE_Dialogue i_choix)
{
	switch(i_choix) {
	case Dialogue_1:
		D_peone_6();
		break;
	case Dialogue_2:
		D_peone_2();
		break;
	case Dialogue_3:
		break;
	default:
		break;
	}
}


/********************************/
void D_peone_6()
{
		cgb_obj_get_ptr_by_name(C_Objet_O_peone_creuse)->AffText(
					C_Res_RT_D_peone_6, M_dialogue_temps_aff, T_TRUE);
		S_playWavFromRes(C_Res_RS_D_peone_6);
		M_process_for_n_sec( M_dialogue_temps_aff );
		M_gdialogue.dialogue_set( 
					C_Res_RT_D_peone_6_1,C_Res_RS_D_peone_6_1,
					C_Res_RT_D_peone_6_2,C_Res_RS_D_peone_6_2,
					C_Res_RT_D_NULL,C_Res_RS_NULL,
					D_peone_6_rep);
}


void D_peone_6_rep(TE_Dialogue i_choix)
{
	switch(i_choix) {
	case Dialogue_1:
		D_peone_7();
		break;
	case Dialogue_2:
		D_peone_2();
		break;
	case Dialogue_3:
		break;
	default:
		break;
	}
}

/********************************/
void D_peone_7()
{
		cgb_dialog_on();
		cgb_obj_get_ptr_by_name(C_Objet_O_peone_creuse)->AffText(
					C_Res_RT_D_peone_7, M_dialogue_temps_aff, T_TRUE);
		S_playWavFromRes(C_Res_RS_D_peone_7);
		M_process_for_n_sec( M_dialogue_temps_aff );
		M_gdialogue.dialogue_set( 
					C_Res_RT_D_peone_7_1,C_Res_RS_D_peone_7_1,
					C_Res_RT_D_NULL,C_Res_RS_NULL,
					C_Res_RT_D_NULL,C_Res_RS_NULL,
					D_peone_7_rep);
}


void D_peone_7_rep(TE_Dialogue i_choix)
{
	switch(i_choix) {
	case Dialogue_1:
		D_peone_8();
		break;
	case Dialogue_2:
		break;
	case Dialogue_3:
		break;
	default:
		break;
	}
}


/********************************/
void D_peone_8()
{
		cgb_obj_get_ptr_by_name(C_Objet_O_peone_creuse)->AffText(
					C_Res_RT_D_peone_8, M_dialogue_temps_aff, T_TRUE);
		S_playWavFromRes(C_Res_RS_D_peone_8);
		M_process_for_n_sec( M_dialogue_temps_aff );
		// Il s'en va
		cgb_obj_get_ptr_by_name(C_Objet_O_peone_creuse)->SetPointDest(C_Objet_O_pt_hotel_droit, 1500);
		cgb_obj_get_ptr_by_name(C_Objet_O_peone_creuse)->SetAnimCourantebyName(C_Res_R_peone_marche);
		M_process_for_n_sec( 1500 );
		cgb_obj_get_ptr_by_name(C_Objet_O_peone_creuse)->SetisAfficher(T_FALSE);

		D_peone_end();
}

