/*
 *
 *  ==  Coconut : "Welcome in the Coconut Island" ==
 *  2D Adventure Game Scenario
 *
 *  Copyright (C) 2000 Sebastien Josset
 *  sebastien.josset@free.fr
 *  
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Library General Public
 *  License as published by the Free Software Foundation; either
 *  version 2 of the License, or (at your option) any later version.
 *
 */
/*
 *
 *  Coconut
 *  Scenario
 *
 *
 */

/****** Includes systmes ******/
/****** Includes applicatifs ******/
#include "S_scenario.h"
#include "M_dep.h"
#include "A_text.h"
#include "A_aff.h"
#include "S_son.h"
#include "M_engine.h"
#include "M_dialogue.h"
#include "O_panneau.h"
#include "I_input.h"
#include "O_objets.h"



void M_quitter();
void M_dialogue_1(TE_Dialogue i_choix);

void M_debug_tous_objets()
{
}

int S_initSceneName()
{
	cgb_set_scene_depart_name("S_1");
	cgb_set_scene_perso_name("S_perso");
	return 0;
}

int S_initResName()
{
	// Ressources cursor
	I_setResName_Mouse_Normal("ResId_Mouse");
	I_setResName_Mouse_Clickable("R_Mouse_Click");
	I_setResName_Mouse_Go("RA_Mouse_Go");
	// Deplacement perso
	I_setResName_Dep_Attente("ResId_DepAttente");
	I_setResName_Dep_Gauche("ResId_DepGauche");
	I_setResName_Dep_Droit("ResId_DepDroite");
	// Fonte 
	A_setResName_Ascii("ResId_Ascii");
	return 0;
}

int S_initObjName()
{
	// Cursor
	M_set_obj_mouse_name("ObjectId_Mouse");
	// Perso
	M_set_obj_perso_name("ObjectId_Perso");
	return 0;
}

int S_onKeyPressed(TE_Key i_key)
{
	return 0;
}

void M_Action(TE_ObjectId i_Objet)
{
	TC_Object *l_obj;
	static int l_flag=1;

	/*** Changement de scenes ***/
	l_obj = &(O_gTab_Objets[i_Objet]);
	if (l_obj->isChgtScene()) {
		cgb_scenes_current_set(l_obj->SceneSuivanteName);
		if (strlen(l_obj->SceneSuivantePoint)!=0) {
			l_obj = cgb_obj_get_ptr_by_name(l_obj->SceneSuivantePoint);
			if ((l_obj->ptCoord.x!=0) && (l_obj->ptCoord.y!=0)) {
				cgb_obj_player_coord_set(l_obj->ptCoord.x, l_obj->ptCoord.y);
				cgb_obj_player_go_to(l_obj->ptCoord.x, l_obj->ptCoord.y);
			}
		}
		return;
	}

}

void M_UtiliseSur(TE_ObjectId i_ObjetUtil, TE_ObjectId i_ObjetSur)
{

}



//
// Prciser anim sur in et sur out
//
void M_MouseMoveIn(TE_ObjectId i_Objet)
{
}


void M_MouseMoveOut(TE_ObjectId i_Objet)
{
}


//
// Dialogues
//

void M_dialogue_1(TE_Dialogue i_choix)
{
	cgb_dialog_off();
}

//
// Scenes
//

void M_enterScene(char *ip_scene)
{


}



