/*
 *
 *  ==  Coconut ==
 *  2D Adventure Game Engine
 *
 *  Copyright (C) 2000 Sebastien Josset
 *  sebastien.josset@free.fr
 *  
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Library General Public
 *  License as published by the Free Software Foundation; either
 *  version 2 of the License, or (at your option) any later version.
 *
 */

/*
 *
 *  Coconut
 *  Drawing
 *
 *
 */
#ifndef A_AFF_H
#define A_AFF_H


/****** Application Includes ******/
#include "A_directdraw.h"

/****** Global Variables ******/
extern TC_DDRAW	A_gAff;
extern int		A_gXMouse;
extern int		A_gYMouse;

extern int				A_nbObjAff;
extern int				A_tabObjAff[];

/****** Functions ******/
void gcb_aff_offscreen();
void gcb_aff_screen();
void gcd_aff_shake();
void gcd_aff_mouse_on();
void gcd_aff_mouse_off();
void gcd_aff_player_on();
void gcd_aff_player_off();

#endif