/*
 *
 *  ==  Coconut ==
 *  2D Adventure Game Engine
 *
 *  Copyright (C) 2000 Sebastien Josset
 *  sebastien.josset@free.fr
 *  
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Library General Public
 *  License as published by the Free Software Foundation; either
 *  version 2 of the License, or (at your option) any later version.
 *
 */

/*
 *
 *  Coconut
 *  DirectDraw
 *
 *
 */
#ifndef A_SGE_H
#define A_SGE_H

/****** System Includes ******/
#include <stdio.h>

/****** External library ******/
#include "SDL.h"

/****** Application Includes ******/
#include "M_types.h"


#ifdef USE_SDL
SDL_Surface *sge_rotate_scaled_surface(SDL_Surface *src, int angle, float scale, Uint32 bcol);
void sge_Rect(SDL_Surface *Surface, Sint32 x1, Sint32 y1, Sint32 x2, Sint32 y2, Uint32 color);
#endif

#endif