/*
 *
 *  ==  Coconut ==
 *  2D Adventure Game Engine
 *
 *  Copyright (C) 2000 Sebastien Josset
 *  sebastien.josset@free.fr
 *  
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Library General Public
 *  License as published by the Free Software Foundation; either
 *  version 2 of the License, or (at your option) any later version.
 *
 */

/*
 *
 *  Coconut
 *  Input
 *
 *
 */


#ifndef M_INPUT_H
#define M_INPUT_H

/****** System Includes ******/
/****** Application Includes ******/
#include "O_objets.h"
typedef enum {
	TE_Key_null,
	TE_Key_space,
	TE_Key_ESC,
	TE_Key_F1,
	TE_Key_F2,
	TE_Key_F3,
	TE_Key_F4,
	TE_Key_F5,
	TE_Key_F6,
	TE_Key_F7,
	TE_Key_F8,
	TE_Key_F9,
	TE_Key_F10,
	TE_Key_F11,
	TE_Key_F12,
} TE_Key;

TE_ObjectId I_TestObjetClick(int i_x, int i_y);
void I_LMouseDown(int i_x, int i_y);
void I_MouseMove(int i_x, int i_y, T_WORD i_param); 
void I_LMouseUp(int i_x, int i_y );

int I_GetTickCount();



#endif