/*
 *
 *  ==  Coconut ==
 *  2D Adventure Game Engine
 *
 *  Copyright (C) 2000 Sebastien Josset
 *  sebastien.josset@free.fr
 *  
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Library General Public
 *  License as published by the Free Software Foundation; either
 *  version 2 of the License, or (at your option) any later version.
 *
 */

/*
 *
 *  Coconut
 *  Moteur
 *
 *
 */


#ifndef M_MOTEUR_DEP_H
#define M_MOTEUR_DEP_H

/****** System Includes ******/
/****** Application Includes ******/
#include "O_objets.h"

void cgb_obj_player_coord_set(long i_x, long i_y);
void cgb_obj_player_coord_cpy_by_name(char *ip_name);

T_BOOL cgb_obj_player_is_valid_dest(long i_x, long i_y);

void cgb_obj_player_go_to(long i_x, long i_y);
void cgb_obj_player_go_to_obj(char *ip_name);
void cgb_obj_player_go_to_process(char *ip_name);
void cgb_obj_player_move();
T_BOOL cgb_obj_player_is_waiting();


#endif