/*
 *
 *  ==  Coconut ==
 *  2D Adventure Game Engine
 *
 *  Copyright (C) 2000 Sebastien Josset
 *  sebastien.josset@free.fr
 *  
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Library General Public
 *  License as published by the Free Software Foundation; either
 *  version 2 of the License, or (at your option) any later version.
 *
 */


/*
 *
 *  Coconut
 *  Dialogue
 *
 *
 */


#ifndef M_DIALOGUE_H
#define M_DIALOGUE_H

/****** System Includes ******/
/****** Application Includes ******/
#include "M_types.h"

typedef enum
{
	Dialogue_on,
	Dialogue_off
} TE_Dialogue_switch;

typedef enum
{
	Dialogue_1,
	Dialogue_2,
	Dialogue_3
} TE_Dialogue;

#define M_dialogue_temps_aff	2000
#define M_dialogue_temps_aff_permanent	200000	
class TC_dialogue
{
	public:
	TE_Dialogue_switch etat;
	char resText1[255];
	char resText2[255];
	char resText3[255];
	char son1[255];
	char son2[255];
	char son3[255];
	TC_dialogue();
	void (*dialog_fct)(TE_Dialogue);
	//void dialogue_on();
	//void dialogue_off();
	void dialogue_set( char *ip_text1, char *ip_son1,
	  							char *ip_text2, char *ip_son2,
								char *ip_text3, char *ip_son3,
								void (*ip_fct)(TE_Dialogue));
	void setChoix(char *ip_nomObjetChoix);
};

extern TC_dialogue M_gdialogue;

/******* functions *****/
int cgb_dialog_on();
int cgb_dialog_off();
int cgb_dialog_is_on();


#endif

