/*
 *
 *  ==  Coconut ==
 *  2D Adventure Game Engine
 *
 *  Copyright (C) 2000 Sebastien Josset
 *  sebastien.josset@free.fr
 *  
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Library General Public
 *  License as published by the Free Software Foundation; either
 *  version 2 of the License, or (at your option) any later version.
 *
 */

/*
 *
 *  Coconut
 *  Moteur
 *	Load/save resource file
 *
 *
 */

#ifndef M_RESFILE_H
#define M_RESFILE_H

typedef struct
{
	int			size;
	int			offset;
	char		fich[128];
} TS_index_entry;

#define M_gResFileSeparator "### START ###"

void M_cleanCRLF(char *ip_text);

int M_InitResFile(char *ip_name);
int M_closeResFile(char *ip_name);
int M_getPtrFromResFile(char *ip_name, char **ip_ptr, int *ip_len);
int M_getFileFromResFile(char *ip_name, FILE **ip_f, int *ip_len);


#endif