/*
 *
 *  ==  Coconut ==
 *  2D Adventure Game Engine
 *
 *  Copyright (C) 2000 Sebastien Josset
 *  sebastien.josset@free.fr
 *  
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Library General Public
 *  License as published by the Free Software Foundation; either
 *  version 2 of the License, or (at your option) any later version.
 *
 */

/*
 *
 *  Coconut
 *  Ressources Text
 *
 *
 */
#ifndef R_RESSOURCES_TEXT_H
#define R_RESSOURCES_TEXT_H

/****** System Includes ******/
/****** Application Includes ******/

#define resTextLenMax	512

typedef enum {
	TE_francais,
	TE_english
} TE_lang;

class TC_RESTEXT
{
  public:
	char	textBuf[resTextLenMax];
	char	textBufEng[resTextLenMax];
	long	textLen;
	long	textLenEng;
	void	SetText(char* ip_text);
	void	SetTextEng(char* ip_text);
	char   *GetText();
	char   *GetTextEng();
	int		GetTextLen();

};

class TC_RESSON
{
  public:
    char    fileName[resTextLenMax];
    int     numPisteCD;
    void    SetFileName(char* ip_text);
};


void R_setLang(TE_lang i_lang);

#endif

