
#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include <gtk/gtk.h>



extern "C" {
#include "callbacks.h"
#include "interface.h"
#include "support.h"
}
#include "coco_ed_callbacks.h"

GtkWidget *w_about;


void
action_create_window(gchar *ip_title, void *ip_ok_fct)
{
	GtkWidget* lp_l_add;
	GtkWidget* lp_b_ok;
	GtkWidget* lp_b_cancel;

	char l_buf[128];
	
	w_action = create_w_action ();
	lp_l_add = lookup_widget(w_action, "l_add");
	gtk_label_set_text(GTK_LABEL(lp_l_add), ip_title);

	lp_b_ok = lookup_widget(w_action, "b_add_ok");
    gtk_signal_connect (GTK_OBJECT (lp_b_ok),
                            "clicked", GTK_SIGNAL_FUNC (ip_ok_fct), NULL);
                            
    /* Ensure that the dialog box is destroyed when the user clicks a button. */
    
    gtk_signal_connect_object (GTK_OBJECT (lp_b_ok),
                             "clicked", GTK_SIGNAL_FUNC (gtk_widget_destroy),
                              GTK_OBJECT(w_action));
	lp_b_cancel = lookup_widget(w_action, "b_add_cancel");
    gtk_signal_connect_object (GTK_OBJECT (lp_b_cancel),
                             "clicked", GTK_SIGNAL_FUNC (gtk_widget_destroy),
                              GTK_OBJECT(w_action));
	gtk_widget_show (w_action);

}


////////////////////////////////////////////////////
void quick_message(gchar *ip_message) 
{

    GtkWidget *dialog, *label, *okay_button;
    
    /* Create the widgets */
    dialog = gtk_dialog_new();
    label = gtk_label_new (ip_message);
    okay_button = gtk_button_new_with_label("Ok");
    
    /* Ensure that the dialog box is destroyed when the user clicks ok. */   
    gtk_signal_connect_object (GTK_OBJECT (okay_button), "clicked",
                               GTK_SIGNAL_FUNC (gtk_widget_destroy), GTK_OBJECT(dialog));
    gtk_container_add (GTK_CONTAINER (GTK_DIALOG(dialog)->action_area),
                       okay_button);

    /* Add the label, and show everything we've added to the dialog. */
    gtk_container_add (GTK_CONTAINER (GTK_DIALOG(dialog)->vbox),
                       label);
    gtk_widget_show_all (dialog);
 }

