
#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include <gtk/gtk.h>



extern "C" {
#include "callbacks.h"
#include "interface.h"
#include "support.h"
}
#include "coco_ed_callbacks.h"


GtkWidget *w_project=NULL;

void show_project()
{
	if (!w_project) {
		w_project = create_w_project ();
	}
	gtk_widget_set_uposition(w_project, 1, 1);
	gtk_widget_show (w_project);
}

void
on_b_project_ok_clicked                    (GtkButton       *button,
                                        gpointer         user_data)
{
	gtk_widget_destroy(w_project);
	w_project = NULL;
}

void
on_w_project_destroy                    (GtkObject       *object,
                                        gpointer         user_data)
{
	w_project = NULL;
}


