/**************************/
/* Fichier Genere         */
/* src_scen\coco_res.h         */
/**************************/

/******** Scenes **********/
#define C_NbScenes 22
#define C_Scene_SceneId_Intro                 	"SceneId_Intro"
#define C_Scene_SceneId_Panneau               	"SceneId_Panneau"
#define C_Scene_SceneId_Perso                 	"SceneId_Perso"
#define C_Scene_SceneId_Depart                	"SceneId_Depart"
#define C_Scene_SceneId_Bateau                	"SceneId_Bateau"
#define C_Scene_SceneId_Village               	"SceneId_Village"
#define C_Scene_SceneId_Prison                	"SceneId_Prison"
#define C_Scene_SceneId_Feu                   	"SceneId_Feu"
#define C_Scene_SceneId_Hotel                 	"SceneId_Hotel"
#define C_Scene_SceneId_Hall                  	"SceneId_Hall"
#define C_Scene_SceneId_Toit                  	"SceneId_Toit"
#define C_Scene_SceneId_Derrick               	"SceneId_Derrick"
#define C_Scene_SceneId_Treuil                	"SceneId_Treuil"
#define C_Scene_SceneId_Atelier               	"SceneId_Atelier"
#define C_Scene_S_Dialogue                    	"S_Dialogue"
#define C_Scene_S_Demo                        	"S_Demo"
#define C_Scene_S_wc                          	"S_wc"
#define C_Scene_S_chambre                     	"S_chambre"
#define C_Scene_S_cuisine                     	"S_cuisine"
#define C_Scene_S_balcon                      	"S_balcon"
#define C_Scene_S_PC                          	"S_PC"

/******** Objets ********/
#define C_NbObjets 206
#define C_Objet_ObjectId_Intro                	"ObjectId_Intro"
#define C_Objet_ObjectId_Bureau_droit         	"ObjectId_Bureau_droit"
#define C_Objet_ObjectId_Mouse                	"ObjectId_Mouse"
#define C_Objet_ObjectId_FondDepart           	"ObjectId_FondDepart"
#define C_Objet_ObjectId_FondBateau           	"ObjectId_FondBateau"
#define C_Objet_ObjectId_FondVillage          	"ObjectId_FondVillage"
#define C_Objet_ObjectId_FondPrison           	"ObjectId_FondPrison"
#define C_Objet_ObjectId_FondFeu              	"ObjectId_FondFeu"
#define C_Objet_ObjectId_FondHotel            	"ObjectId_FondHotel"
#define C_Objet_ObjectId_FondHall             	"ObjectId_FondHall"
#define C_Objet_ObjectId_FondToit             	"ObjectId_FondToit"
#define C_Objet_ObjectId_FondDerrick          	"ObjectId_FondDerrick"
#define C_Objet_ObjectId_FondTreuil           	"ObjectId_FondTreuil"
#define C_Objet_ObjectId_FondAtelier          	"ObjectId_FondAtelier"
#define C_Objet_ObjectId_Perso                	"ObjectId_Perso"
#define C_Objet_ObjectId_Truc                 	"ObjectId_Truc"
#define C_Objet_ObjectId_Truc2                	"ObjectId_Truc2"
#define C_Objet_ObjectId_Depart_VersBateau    	"ObjectId_Depart_VersBateau"
#define C_Objet_ObjectId_Bateau_VersDepart    	"ObjectId_Bateau_VersDepart"
#define C_Objet_ObjectId_Bateau_VersVillage   	"ObjectId_Bateau_VersVillage"
#define C_Objet_ObjectId_Village_VersBateau   	"ObjectId_Village_VersBateau"
#define C_Objet_ObjectId_Village_VersFeu      	"ObjectId_Village_VersFeu"
#define C_Objet_ObjectId_Feu_VersVillage      	"ObjectId_Feu_VersVillage"
#define C_Objet_ObjectId_Feu_VersHotel        	"ObjectId_Feu_VersHotel"
#define C_Objet_ObjectId_Hotel_VersFeu        	"ObjectId_Hotel_VersFeu"
#define C_Objet_ObjectId_Hotel_VersHall       	"ObjectId_Hotel_VersHall"
#define C_Objet_ObjectId_Hotel_VersDerrick    	"ObjectId_Hotel_VersDerrick"
#define C_Objet_ObjectId_Hall_VersHotel       	"ObjectId_Hall_VersHotel"
#define C_Objet_ObjectId_Hall_VersToit        	"ObjectId_Hall_VersToit"
#define C_Objet_ObjectId_Toit_VersHall        	"ObjectId_Toit_VersHall"
#define C_Objet_ObjectId_Derrick_VersHotel    	"ObjectId_Derrick_VersHotel"
#define C_Objet_ObjectId_Derrick_VersTreuil   	"ObjectId_Derrick_VersTreuil"
#define C_Objet_ObjectId_Treuil_VersDerrick   	"ObjectId_Treuil_VersDerrick"
#define C_Objet_ObjectId_Treuil_VersAtelier   	"ObjectId_Treuil_VersAtelier"
#define C_Objet_ObjectId_Atelier_VersTreuil   	"ObjectId_Atelier_VersTreuil"
#define C_Objet_Objet38                       	"Objet38"
#define C_Objet_Objet_Exit                    	"Objet_Exit"
#define C_Objet_Objet_Go                      	"Objet_Go"
#define C_Objet_Objet_Qui                     	"Objet_Qui"
#define C_Objet_O_derrick                     	"O_derrick"
#define C_Objet_O_voiture_crash               	"O_voiture_crash"
#define C_Objet_O_pecheur                     	"O_pecheur"
#define C_Objet_O_seau                        	"O_seau"
#define C_Objet_O_garde                       	"O_garde"
#define C_Objet_O_panneau_canne               	"O_panneau_canne"
#define C_Objet_O_panneau_anguilles           	"O_panneau_anguilles"
#define C_Objet_O_tonneau_arbre               	"O_tonneau_arbre"
#define C_Objet_O_clef_voiture                	"O_clef_voiture"
#define C_Objet_O_voiture_arret               	"O_voiture_arret"
#define C_Objet_O_panneau_clef_voiture        	"O_panneau_clef_voiture"
#define C_Objet_O_texan                       	"O_texan"
#define C_Objet_O_robinson                    	"O_robinson"
#define C_Objet_O_tache_huile                 	"O_tache_huile"
#define C_Objet_O_dep_village                 	"O_dep_village"
#define C_Objet_O_dep_Intro                   	"O_dep_Intro"
#define C_Objet_O_dep_Depart                  	"O_dep_Depart"
#define C_Objet_O_dep_bateau_1                	"O_dep_bateau_1"
#define C_Objet_O_dep_bateau_2                	"O_dep_bateau_2"
#define C_Objet_O_dep_feu                     	"O_dep_feu"
#define C_Objet_O_dep_hotel_1                 	"O_dep_hotel_1"
#define C_Objet_O_dep_hotel_2                 	"O_dep_hotel_2"
#define C_Objet_O_dep_hotel_3                 	"O_dep_hotel_3"
#define C_Objet_O_dep_hall                    	"O_dep_hall"
#define C_Objet_O_dep_toit                    	"O_dep_toit"
#define C_Objet_O_dep_derrick                 	"O_dep_derrick"
#define C_Objet_O_dep_treuil_1                	"O_dep_treuil_1"
#define C_Objet_O_dep_treuil_2                	"O_dep_treuil_2"
#define C_Objet_O_dep_treuil_3                	"O_dep_treuil_3"
#define C_Objet_O_dep_atelier_1               	"O_dep_atelier_1"
#define C_Objet_O_dep_atelier_2               	"O_dep_atelier_2"
#define C_Objet_O_paneau_select_1             	"O_paneau_select_1"
#define C_Objet_O_paneau_select_2             	"O_paneau_select_2"
#define C_Objet_O_paneau_select_3             	"O_paneau_select_3"
#define C_Objet_O_pt_bateau_plage             	"O_pt_bateau_plage"
#define C_Objet_O_pt_village_gauche           	"O_pt_village_gauche"
#define C_Objet_O_pt_village_droit            	"O_pt_village_droit"
#define C_Objet_O_pt_feu_gauche               	"O_pt_feu_gauche"
#define C_Objet_O_pt_feu_droit                	"O_pt_feu_droit"
#define C_Objet_O_pt_hotel_gauche             	"O_pt_hotel_gauche"
#define C_Objet_O_pt_hotel_porte              	"O_pt_hotel_porte"
#define C_Objet_O_pt_hotel_droit              	"O_pt_hotel_droit"
#define C_Objet_O_pt_hall_gauche              	"O_pt_hall_gauche"
#define C_Objet_O_pt_hall_droit               	"O_pt_hall_droit"
#define C_Objet_O_pt_toit_porte               	"O_pt_toit_porte"
#define C_Objet_O_pt_derrick_gauche           	"O_pt_derrick_gauche"
#define C_Objet_O_pt_derrick_droit            	"O_pt_derrick_droit"
#define C_Objet_O_pt_derrick_tour             	"O_pt_derrick_tour"
#define C_Objet_O_pt_treuil_gauche            	"O_pt_treuil_gauche"
#define C_Objet_O_pt_treuil_ponton            	"O_pt_treuil_ponton"
#define C_Objet_O_pt_atelier_entree           	"O_pt_atelier_entree"
#define C_Objet_O_tonneau_flotte              	"O_tonneau_flotte"
#define C_Objet_O_fond_demo                   	"O_fond_demo"
#define C_Objet_O_ile                         	"O_ile"
#define C_Objet_O_cuvette_WC                  	"O_cuvette_WC"
#define C_Objet_O_periscope                   	"O_periscope"
#define C_Objet_O_sable                       	"O_sable"
#define C_Objet_O_fusee                       	"O_fusee"
#define C_Objet_O_meteorite                   	"O_meteorite"
#define C_Objet_O_Gver                        	"O_Gver"
#define C_Objet_O_Bver                        	"O_Bver"
#define C_Objet_O_Fver                        	"O_Fver"
#define C_Objet_O_Demo_Pt_1                   	"O_Demo_Pt_1"
#define C_Objet_O_Demo_Pt_2                   	"O_Demo_Pt_2"
#define C_Objet_O_Demo_Pt_3                   	"O_Demo_Pt_3"
#define C_Objet_O_Demo_Pt_4                   	"O_Demo_Pt_4"
#define C_Objet_O_Demo_Pt_5                   	"O_Demo_Pt_5"
#define C_Objet_O_Demo_Pt_6                   	"O_Demo_Pt_6"
#define C_Objet_O_Demo_Pt_7                   	"O_Demo_Pt_7"
#define C_Objet_O_Demo_Pt_8                   	"O_Demo_Pt_8"
#define C_Objet_O_Panneau_Gauche              	"O_Panneau_Gauche"
#define C_Objet_O_Panneau_Droit               	"O_Panneau_Droit"
#define C_Objet_O_sorcier                     	"O_sorcier"
#define C_Objet_O_peone_creuse_fond           	"O_peone_creuse_fond"
#define C_Objet_O_peone_creuse                	"O_peone_creuse"
#define C_Objet_O_bar_biond                   	"O_bar_biond"
#define C_Objet_O_bar_serveur                 	"O_bar_serveur"
#define C_Objet_O_bar_table                   	"O_bar_table"
#define C_Objet_O_lift_arriere_1              	"O_lift_arriere_1"
#define C_Objet_O_lift_fond_1                 	"O_lift_fond_1"
#define C_Objet_O_lift_fond_2                 	"O_lift_fond_2"
#define C_Objet_O_lift_fond_3                 	"O_lift_fond_3"
#define C_Objet_O_lift_avant_1                	"O_lift_avant_1"
#define C_Objet_O_lift_barre_1                	"O_lift_barre_1"
#define C_Objet_O_lift_corde                  	"O_lift_corde"
#define C_Objet_O_lift_barre_2                	"O_lift_barre_2"
#define C_Objet_O_lift_barre_3                	"O_lift_barre_3"
#define C_Objet_O_lift_barre_4                	"O_lift_barre_4"
#define C_Objet_O_bar_corde                   	"O_bar_corde"
#define C_Objet_O_lift_num                    	"O_lift_num"
#define C_Objet_O_pt_lift_1                   	"O_pt_lift_1"
#define C_Objet_O_lift_arriere_2              	"O_lift_arriere_2"
#define C_Objet_O_lift_arriere_3              	"O_lift_arriere_3"
#define C_Objet_O_lift_avant_2                	"O_lift_avant_2"
#define C_Objet_O_lift_avant_3                	"O_lift_avant_3"
#define C_Objet_O_pt_lift_2                   	"O_pt_lift_2"
#define C_Objet_O_pt_lift_3                   	"O_pt_lift_3"
#define C_Objet_O_parachutiste                	"O_parachutiste"
#define C_Objet_O_matelas                     	"O_matelas"
#define C_Objet_O_fond_WC                     	"O_fond_WC"
#define C_Objet_O_pt_wc_gauche                	"O_pt_wc_gauche"
#define C_Objet_O_dep_wc                      	"O_dep_wc"
#define C_Objet_O_wc_vers_hall                	"O_wc_vers_hall"
#define C_Objet_O_fond_chambre                	"O_fond_chambre"
#define C_Objet_O_dep_chambre                 	"O_dep_chambre"
#define C_Objet_O_chambre_vers_hall           	"O_chambre_vers_hall"
#define C_Objet_O_fond_cuisine                	"O_fond_cuisine"
#define C_Objet_O_dep_cuisine                 	"O_dep_cuisine"
#define C_Objet_O_cuisine_vers_hall           	"O_cuisine_vers_hall"
#define C_Objet_O_pt_cuisine_gauche           	"O_pt_cuisine_gauche"
#define C_Objet_O_pt_chambre_gauche           	"O_pt_chambre_gauche"
#define C_Objet_O_fond_balcon                 	"O_fond_balcon"
#define C_Objet_O_dep_balcon                  	"O_dep_balcon"
#define C_Objet_O_pt_balcon_droit             	"O_pt_balcon_droit"
#define C_Objet_O_balcon_vers_hall            	"O_balcon_vers_hall"
#define C_Objet_O_scout_balcon_pisse          	"O_scout_balcon_pisse"
#define C_Objet_O_scout_balcon_pisse_loin     	"O_scout_balcon_pisse_loin"
#define C_Objet_O_panneau_lampePoche          	"O_panneau_lampePoche"
#define C_Objet_O_lampePoche                  	"O_lampePoche"
#define C_Objet_O_panneau_matelas             	"O_panneau_matelas"
#define C_Objet_O_lit_sansMatelas             	"O_lit_sansMatelas"
#define C_Objet_O_lit                         	"O_lit"
#define C_Objet_O_titroir_ouvert              	"O_titroir_ouvert"
#define C_Objet_O_titroir_capote              	"O_titroir_capote"
#define C_Objet_O_titroir_playboy             	"O_titroir_playboy"
#define C_Objet_O_tiroir_ferme                	"O_tiroir_ferme"
#define C_Objet_O_panneau_capote              	"O_panneau_capote"
#define C_Objet_O_panneau_playboy             	"O_panneau_playboy"
#define C_Objet_O_parachute                   	"O_parachute"
#define C_Objet_O_parachutiste_tombe          	"O_parachutiste_tombe"
#define C_Objet_O_pt_contact_matelas1         	"O_pt_contact_matelas1"
#define C_Objet_O_pt_contact_matelas2         	"O_pt_contact_matelas2"
#define C_Objet_O_pt_contact_matelas3         	"O_pt_contact_matelas3"
#define C_Objet_O_pt_contact_matelas4         	"O_pt_contact_matelas4"
#define C_Objet_O_panneau_biere_plein         	"O_panneau_biere_plein"
#define C_Objet_O_panneau_goutte_huile        	"O_panneau_goutte_huile"
#define C_Objet_O_WC_periscope                	"O_WC_periscope"
#define C_Objet_O_WC_mec_haut                 	"O_WC_mec_haut"
#define C_Objet_O_WC_mec_bas                  	"O_WC_mec_bas"
#define C_Objet_O_WC_scout                    	"O_WC_scout"
#define C_Objet_O_piscine_vide                	"O_piscine_vide"
#define C_Objet_O_piscine_pleine              	"O_piscine_pleine"
#define C_Objet_O_scout_balcon_wait           	"O_scout_balcon_wait"
#define C_Objet_O_pt_WC_milieu                	"O_pt_WC_milieu"
#define C_Objet_O_pt_WC_scout                 	"O_pt_WC_scout"
#define C_Objet_O_Demo_Texte                  	"O_Demo_Texte"
#define C_Objet_O_prof                        	"O_prof"
#define C_Objet_O_bord                        	"O_bord"
#define C_Objet_O_photo_ile                   	"O_photo_ile"
#define C_Objet_O_photo_kourou                	"O_photo_kourou"
#define C_Objet_O_photo_martien               	"O_photo_martien"
#define C_Objet_O_Demo_pt1                    	"O_Demo_pt1"
#define C_Objet_O_pt_balcon_porte             	"O_pt_balcon_porte"
#define C_Objet_O_pt_chambre_porte            	"O_pt_chambre_porte"
#define C_Objet_O_wc_vers_cuisine             	"O_wc_vers_cuisine"
#define C_Objet_O_pt_wc_droit                 	"O_pt_wc_droit"
#define C_Objet_O_fond_PC                     	"O_fond_PC"
#define C_Objet_O_dep_PC                      	"O_dep_PC"
#define C_Objet_O_PC_vers_village             	"O_PC_vers_village"
#define C_Objet_O_pt_village_case             	"O_pt_village_case"
#define C_Objet_O_village_vers_PC             	"O_village_vers_PC"
#define C_Objet_O_PC_entree                   	"O_PC_entree"
#define C_Objet_O_bateau_plage                	"O_bateau_plage"
#define C_Objet_O_boulon                      	"O_boulon"
#define C_Objet_O_pannel_boulon               	"O_pannel_boulon"
#define C_Objet_Objet206                      	"Objet206"

/******** Ressources ********/
#define C_NbRessources 733
#define C_Res_ResId_Intro                   	"ResId_Intro"
#define C_Res_ResId_Bureau_droit            	"ResId_Bureau_droit"
#define C_Res_ResId_Mouse                   	"ResId_Mouse"
#define C_Res_ResId_FondDepart              	"ResId_FondDepart"
#define C_Res_ResId_FondDepart_Bmp          	"ResId_FondDepart_Bmp"
#define C_Res_ResId_Perso                   	"ResId_Perso"
#define C_Res_ResId_Truc                    	"ResId_Truc"
#define C_Res_ResId_Truc_over               	"ResId_Truc_over"
#define C_Res_ResId_Poubelle                	"ResId_Poubelle"
#define C_Res_ResId_Poubelle_over           	"ResId_Poubelle_over"
#define C_Res_ResId_TextHello               	"ResId_TextHello"
#define C_Res_ResId_Ascii                   	"ResId_Ascii"
#define C_Res_ResId_Arthur                  	"ResId_Arthur"
#define C_Res_ResId_FondBateau              	"ResId_FondBateau"
#define C_Res_ResId_FondBateau_Bmp          	"ResId_FondBateau_Bmp"
#define C_Res_ResId_FondVillage             	"ResId_FondVillage"
#define C_Res_ResId_FondVillage_Bmp         	"ResId_FondVillage_Bmp"
#define C_Res_ResId_FondPrison              	"ResId_FondPrison"
#define C_Res_ResId_FondPrison_Bmp          	"ResId_FondPrison_Bmp"
#define C_Res_ResId_FondFeu                 	"ResId_FondFeu"
#define C_Res_ResId_FondFeu_Bmp             	"ResId_FondFeu_Bmp"
#define C_Res_ResId_FondHotel               	"ResId_FondHotel"
#define C_Res_ResId_FondHotel_Bmp           	"ResId_FondHotel_Bmp"
#define C_Res_ResId_FondHall                	"ResId_FondHall"
#define C_Res_ResId_FondHall_Bmp            	"ResId_FondHall_Bmp"
#define C_Res_ResId_FondToit                	"ResId_FondToit"
#define C_Res_ResId_FondToit_Bmp            	"ResId_FondToit_Bmp"
#define C_Res_ResId_FondDerrick             	"ResId_FondDerrick"
#define C_Res_ResId_FondDerrick_Bmp         	"ResId_FondDerrick_Bmp"
#define C_Res_ResId_FondTreuil              	"ResId_FondTreuil"
#define C_Res_ResId_FondTreuil_Bmp          	"ResId_FondTreuil_Bmp"
#define C_Res_ResId_FondAtelier             	"ResId_FondAtelier"
#define C_Res_ResId_FondAtelier_Bmp         	"ResId_FondAtelier_Bmp"
#define C_Res_ResId_DepAttente              	"ResId_DepAttente"
#define C_Res_ResId_DepGauche               	"ResId_DepGauche"
#define C_Res_ResId_DepDroite               	"ResId_DepDroite"
#define C_Res_Res_But_Depart                	"Res_But_Depart"
#define C_Res_Res_But_Go                    	"Res_But_Go"
#define C_Res_Res_But_Qui                   	"Res_But_Qui"
#define C_Res_Res_But_Exit                  	"Res_But_Exit"
#define C_Res_R_derrick                     	"R_derrick"
#define C_Res_R_voiture_crash               	"R_voiture_crash"
#define C_Res_R_pecheur                     	"R_pecheur"
#define C_Res_R_seau                        	"R_seau"
#define C_Res_R_garde                       	"R_garde"
#define C_Res_R_canne                       	"R_canne"
#define C_Res_R_anguilles                   	"R_anguilles"
#define C_Res_RT_OnPassePas                 	"RT_OnPassePas"
#define C_Res_R_tonneau_arbre               	"R_tonneau_arbre"
#define C_Res_R_clef_voiture                	"R_clef_voiture"
#define C_Res_R_clef_voiture_panel          	"R_clef_voiture_panel"
#define C_Res_R_voiture_arret               	"R_voiture_arret"
#define C_Res_RT_Hello                      	"RT_Hello"
#define C_Res_RT_DuPetrole                  	"RT_DuPetrole"
#define C_Res_RT_UneVoiture                 	"RT_UneVoiture"
#define C_Res_R_robinson                    	"R_robinson"
#define C_Res_R_tache_huile                 	"R_tache_huile"
#define C_Res_RT_TrouveClef                 	"RT_TrouveClef"
#define C_Res_RT_DeLHuile                   	"RT_DeLHuile"
#define C_Res_RS_Hello                      	"RS_Hello"
#define C_Res_RS_PassePas                   	"RS_PassePas"
#define C_Res_RS_DuPetrole                  	"RS_DuPetrole"
#define C_Res_RS_UneVoiture                 	"RS_UneVoiture"
#define C_Res_RS_Prout                      	"RS_Prout"
#define C_Res_R_texan                       	"R_texan"
#define C_Res_R_panneau_bas                 	"R_panneau_bas"
#define C_Res_R_panneau_select              	"R_panneau_select"
#define C_Res_RS_hello_petrole              	"RS_hello_petrole"
#define C_Res_RS_boujour_voiture            	"RS_boujour_voiture"
#define C_Res_RS_welcome                    	"RS_welcome"
#define C_Res_R_tonneau_flotte              	"R_tonneau_flotte"
#define C_Res_R_fond_mer                    	"R_fond_mer"
#define C_Res_R_ile                         	"R_ile"
#define C_Res_R_cuvette_wc                  	"R_cuvette_wc"
#define C_Res_R_sable                       	"R_sable"
#define C_Res_R_fusee                       	"R_fusee"
#define C_Res_R_meteorite                   	"R_meteorite"
#define C_Res_R_periscope                   	"R_periscope"
#define C_Res_R_Gver_cool                   	"R_Gver_cool"
#define C_Res_R_Gver_coeur                  	"R_Gver_coeur"
#define C_Res_R_Gver_vole                   	"R_Gver_vole"
#define C_Res_R_Gver_bizou                  	"R_Gver_bizou"
#define C_Res_R_Fver_attend                 	"R_Fver_attend"
#define C_Res_R_Fver_surprise               	"R_Fver_surprise"
#define C_Res_R_Fver_heureuse               	"R_Fver_heureuse"
#define C_Res_R_Bver_attend                 	"R_Bver_attend"
#define C_Res_R_Bver_vole                   	"R_Bver_vole"
#define C_Res_RT_bizou                      	"RT_bizou"
#define C_Res_RS_Demo_intro                 	"RS_Demo_intro"
#define C_Res_RS_smack                      	"RS_smack"
#define C_Res_RS_revolver                   	"RS_revolver"
#define C_Res_RS_boing                      	"RS_boing"
#define C_Res_RS_bris_verre                 	"RS_bris_verre"
#define C_Res_RS_laser                      	"RS_laser"
#define C_Res_RS_explosion                  	"RS_explosion"
#define C_Res_R_Panneau_Gauche              	"R_Panneau_Gauche"
#define C_Res_R_Panneau_Droit               	"R_Panneau_Droit"
#define C_Res_RT_D_Sorcier_1                	"RT_D_Sorcier_1"
#define C_Res_RT_D_Sorcier_1_1              	"RT_D_Sorcier_1_1"
#define C_Res_RT_D_Sorcier_1_2              	"RT_D_Sorcier_1_2"
#define C_Res_RT_D_NULL                     	"RT_D_NULL"
#define C_Res_RT_D_Sorcier_2                	"RT_D_Sorcier_2"
#define C_Res_RT_D_Sorcier_2_1              	"RT_D_Sorcier_2_1"
#define C_Res_RT_D_Sorcier_2_2              	"RT_D_Sorcier_2_2"
#define C_Res_RT_D_Sorcier_2_3              	"RT_D_Sorcier_2_3"
#define C_Res_RT_D_Sorcier_3                	"RT_D_Sorcier_3"
#define C_Res_RT_D_Sorcier_3_1              	"RT_D_Sorcier_3_1"
#define C_Res_RT_D_Sorcier_3_2              	"RT_D_Sorcier_3_2"
#define C_Res_RT_D_Sorcier_4                	"RT_D_Sorcier_4"
#define C_Res_RT_D_Sorcier_4_1              	"RT_D_Sorcier_4_1"
#define C_Res_RT_D_Sorcier_4_2              	"RT_D_Sorcier_4_2"
#define C_Res_RT_D_Sorcier_4_3              	"RT_D_Sorcier_4_3"
#define C_Res_RT_D_Sorcier_5                	"RT_D_Sorcier_5"
#define C_Res_RT_D_Sorcier_6                	"RT_D_Sorcier_6"
#define C_Res_RT_D_Sorcier_6_1              	"RT_D_Sorcier_6_1"
#define C_Res_RT_D_Sorcier_6_2              	"RT_D_Sorcier_6_2"
#define C_Res_RT_D_Sorcier_8                	"RT_D_Sorcier_8"
#define C_Res_RT_D_Sorcier_10               	"RT_D_Sorcier_10"
#define C_Res_RT_D_Sorcier_11               	"RT_D_Sorcier_11"
#define C_Res_RT_D_Sorcier_13               	"RT_D_Sorcier_13"
#define C_Res_RT_D_Sorcier_12               	"RT_D_Sorcier_12"
#define C_Res_RT_D_Sorcier_12_1             	"RT_D_Sorcier_12_1"
#define C_Res_RT_D_Sorcier_12_2             	"RT_D_Sorcier_12_2"
#define C_Res_RT_D_Sorcier_8_1              	"RT_D_Sorcier_8_1"
#define C_Res_RT_D_Sorcier_8_2              	"RT_D_Sorcier_8_2"
#define C_Res_RS_NULL                       	"RS_NULL"
#define C_Res_R_Sorcier                     	"R_Sorcier"
#define C_Res_RS_sorcier                    	"RS_sorcier"
#define C_Res_R_peone_creuse_fond           	"R_peone_creuse_fond"
#define C_Res_R_peone_creuse                	"R_peone_creuse"
#define C_Res_R_bar_biond                   	"R_bar_biond"
#define C_Res_R_bar_serveur                 	"R_bar_serveur"
#define C_Res_R_bar_table                   	"R_bar_table"
#define C_Res_R_lift_arriere                	"R_lift_arriere"
#define C_Res_R_lift_fond_1                 	"R_lift_fond_1"
#define C_Res_R_lift_fond_2                 	"R_lift_fond_2"
#define C_Res_R_lift_fond_3                 	"R_lift_fond_3"
#define C_Res_R_lift_avant                  	"R_lift_avant"
#define C_Res_R_lift_barres                 	"R_lift_barres"
#define C_Res_R_lift_corde                  	"R_lift_corde"
#define C_Res_R_lift_num_1                  	"R_lift_num_1"
#define C_Res_R_lift_num_2                  	"R_lift_num_2"
#define C_Res_R_lift_num_3                  	"R_lift_num_3"
#define C_Res_R_lift_corde_tire             	"R_lift_corde_tire"
#define C_Res_RS_D_Sorcier_1                	"RS_D_Sorcier_1"
#define C_Res_RS_D_Sorcier_1_1              	"RS_D_Sorcier_1_1"
#define C_Res_RS_D_Sorcier_1_2              	"RS_D_Sorcier_1_2"
#define C_Res_RS_D_Sorcier_2                	"RS_D_Sorcier_2"
#define C_Res_RS_D_Sorcier_2_1              	"RS_D_Sorcier_2_1"
#define C_Res_RS_D_Sorcier_2_2              	"RS_D_Sorcier_2_2"
#define C_Res_RS_D_Sorcier_2_3              	"RS_D_Sorcier_2_3"
#define C_Res_RS_D_Sorcier_3                	"RS_D_Sorcier_3"
#define C_Res_RS_D_Sorcier_3_1              	"RS_D_Sorcier_3_1"
#define C_Res_RS_D_Sorcier_3_2              	"RS_D_Sorcier_3_2"
#define C_Res_RS_D_Sorcier_4                	"RS_D_Sorcier_4"
#define C_Res_RS_D_Sorcier_4_1              	"RS_D_Sorcier_4_1"
#define C_Res_RS_D_Sorcier_4_2              	"RS_D_Sorcier_4_2"
#define C_Res_RS_D_Sorcier_4_3              	"RS_D_Sorcier_4_3"
#define C_Res_RS_D_Sorcier_5                	"RS_D_Sorcier_5"
#define C_Res_RS_D_Sorcier_6                	"RS_D_Sorcier_6"
#define C_Res_RS_D_Sorcier_6_1              	"RS_D_Sorcier_6_1"
#define C_Res_RS_D_Sorcier_6_2              	"RS_D_Sorcier_6_2"
#define C_Res_RS_D_Sorcier_6_3              	"RS_D_Sorcier_6_3"
#define C_Res_RS_D_Sorcier_8                	"RS_D_Sorcier_8"
#define C_Res_RS_D_Sorcier_10               	"RS_D_Sorcier_10"
#define C_Res_RS_D_Sorcier_11               	"RS_D_Sorcier_11"
#define C_Res_RS_D_Sorcier_13               	"RS_D_Sorcier_13"
#define C_Res_RS_D_Sorcier_12               	"RS_D_Sorcier_12"
#define C_Res_RS_D_Sorcier_12_1             	"RS_D_Sorcier_12_1"
#define C_Res_RS_D_Sorcier_12_2             	"RS_D_Sorcier_12_2"
#define C_Res_RS_D_Sorcier_8_1              	"RS_D_Sorcier_8_1"
#define C_Res_RS_D_Sorcier_8_2              	"RS_D_Sorcier_8_2"
#define C_Res_R_parachutiste                	"R_parachutiste"
#define C_Res_R_matelas                     	"R_matelas"
#define C_Res_R_texan_parle                 	"R_texan_parle"
#define C_Res_RT_D_texan_1                  	"RT_D_texan_1"
#define C_Res_RT_D_texan_1b                 	"RT_D_texan_1b"
#define C_Res_RT_D_texan_1_1                	"RT_D_texan_1_1"
#define C_Res_RT_D_texan_1_2                	"RT_D_texan_1_2"
#define C_Res_RT_D_texan_1_3                	"RT_D_texan_1_3"
#define C_Res_RT_D_texan_2                  	"RT_D_texan_2"
#define C_Res_RT_D_texan_2_1                	"RT_D_texan_2_1"
#define C_Res_RT_D_texan_2_2                	"RT_D_texan_2_2"
#define C_Res_RT_D_texan_2_3                	"RT_D_texan_2_3"
#define C_Res_RT_D_texan_3                  	"RT_D_texan_3"
#define C_Res_RT_D_texan_3_1                	"RT_D_texan_3_1"
#define C_Res_RT_D_texan_3_2                	"RT_D_texan_3_2"
#define C_Res_RT_D_texan_3_3                	"RT_D_texan_3_3"
#define C_Res_RT_D_texan_4                  	"RT_D_texan_4"
#define C_Res_RT_D_texan_4_1                	"RT_D_texan_4_1"
#define C_Res_RT_D_texan_4_2                	"RT_D_texan_4_2"
#define C_Res_RT_D_texan_4_3                	"RT_D_texan_4_3"
#define C_Res_RT_D_texan_5                  	"RT_D_texan_5"
#define C_Res_RT_D_texan_5_1                	"RT_D_texan_5_1"
#define C_Res_RT_D_texan_5_2                	"RT_D_texan_5_2"
#define C_Res_RT_D_texan_6                  	"RT_D_texan_6"
#define C_Res_RT_D_texan_6_1                	"RT_D_texan_6_1"
#define C_Res_RT_D_texan_6_2                	"RT_D_texan_6_2"
#define C_Res_RT_D_texan_6_3                	"RT_D_texan_6_3"
#define C_Res_RT_D_texan_7                  	"RT_D_texan_7"
#define C_Res_RT_D_texan_7_1                	"RT_D_texan_7_1"
#define C_Res_RT_D_texan_8                  	"RT_D_texan_8"
#define C_Res_RT_D_texan_8_1                	"RT_D_texan_8_1"
#define C_Res_RT_D_texan_9                  	"RT_D_texan_9"
#define C_Res_RT_D_texan_10                 	"RT_D_texan_10"
#define C_Res_RT_D_texan_11                 	"RT_D_texan_11"
#define C_Res_RT_D_texan_12                 	"RT_D_texan_12"
#define C_Res_RT_D_texan_12_1               	"RT_D_texan_12_1"
#define C_Res_RT_D_texan_12_2               	"RT_D_texan_12_2"
#define C_Res_RT_D_texan_13                 	"RT_D_texan_13"
#define C_Res_RT_D_texan_14                 	"RT_D_texan_14"
#define C_Res_RT_D_texan_15                 	"RT_D_texan_15"
#define C_Res_RT_D_texan_15_1               	"RT_D_texan_15_1"
#define C_Res_RT_D_texan_16                 	"RT_D_texan_16"
#define C_Res_RT_D_texan_16_1               	"RT_D_texan_16_1"
#define C_Res_RT_D_texan_16_2               	"RT_D_texan_16_2"
#define C_Res_RT_D_texan_17                 	"RT_D_texan_17"
#define C_Res_RT_D_texan_18                 	"RT_D_texan_18"
#define C_Res_RT_D_texan_1_3b               	"RT_D_texan_1_3b"
#define C_Res_RS_D_texan_1                  	"RS_D_texan_1"
#define C_Res_RS_D_texan_1b                 	"RS_D_texan_1b"
#define C_Res_RS_D_texan_1_1                	"RS_D_texan_1_1"
#define C_Res_RS_D_texan_1_2                	"RS_D_texan_1_2"
#define C_Res_RS_D_texan_1_3                	"RS_D_texan_1_3"
#define C_Res_RS_D_texan_2                  	"RS_D_texan_2"
#define C_Res_RS_D_texan_2_1                	"RS_D_texan_2_1"
#define C_Res_RS_D_texan_2_2                	"RS_D_texan_2_2"
#define C_Res_RS_D_texan_2_3                	"RS_D_texan_2_3"
#define C_Res_RS_D_texan_3                  	"RS_D_texan_3"
#define C_Res_RS_D_texan_3_1                	"RS_D_texan_3_1"
#define C_Res_RS_D_texan_3_2                	"RS_D_texan_3_2"
#define C_Res_RS_D_texan_3_3                	"RS_D_texan_3_3"
#define C_Res_RS_D_texan_4                  	"RS_D_texan_4"
#define C_Res_RS_D_texan_4_1                	"RS_D_texan_4_1"
#define C_Res_RS_D_texan_4_2                	"RS_D_texan_4_2"
#define C_Res_RS_D_texan_4_3                	"RS_D_texan_4_3"
#define C_Res_RS_D_texan_5                  	"RS_D_texan_5"
#define C_Res_RS_D_texan_5_1                	"RS_D_texan_5_1"
#define C_Res_RS_D_texan_5_2                	"RS_D_texan_5_2"
#define C_Res_RS_D_texan_6                  	"RS_D_texan_6"
#define C_Res_RS_D_texan_6_1                	"RS_D_texan_6_1"
#define C_Res_RS_D_texan_6_2                	"RS_D_texan_6_2"
#define C_Res_RS_D_texan_6_3                	"RS_D_texan_6_3"
#define C_Res_RS_D_texan_7                  	"RS_D_texan_7"
#define C_Res_RS_D_texan_7_1                	"RS_D_texan_7_1"
#define C_Res_RS_D_texan_8                  	"RS_D_texan_8"
#define C_Res_RS_D_texan_8_1                	"RS_D_texan_8_1"
#define C_Res_RS_D_texan_9                  	"RS_D_texan_9"
#define C_Res_RS_D_texan_10                 	"RS_D_texan_10"
#define C_Res_RS_D_texan_11                 	"RS_D_texan_11"
#define C_Res_RS_D_texan_12                 	"RS_D_texan_12"
#define C_Res_RS_D_texan_12_1               	"RS_D_texan_12_1"
#define C_Res_RS_D_texan_12_2               	"RS_D_texan_12_2"
#define C_Res_RS_D_texan_13                 	"RS_D_texan_13"
#define C_Res_RS_D_texan_14                 	"RS_D_texan_14"
#define C_Res_RS_D_texan_15                 	"RS_D_texan_15"
#define C_Res_RS_D_texan_15_1               	"RS_D_texan_15_1"
#define C_Res_RS_D_texan_16                 	"RS_D_texan_16"
#define C_Res_RS_D_texan_16_1               	"RS_D_texan_16_1"
#define C_Res_RS_D_texan_16_2               	"RS_D_texan_16_2"
#define C_Res_RS_D_texan_17                 	"RS_D_texan_17"
#define C_Res_RS_D_texan_18                 	"RS_D_texan_18"
#define C_Res_RS_D_texan_1_3b               	"RS_D_texan_1_3b"
#define C_Res_RT_D_peone_1                  	"RT_D_peone_1"
#define C_Res_RT_D_peone_1_1                	"RT_D_peone_1_1"
#define C_Res_RT_D_peone_1_2                	"RT_D_peone_1_2"
#define C_Res_RT_D_peone_1_3                	"RT_D_peone_1_3"
#define C_Res_RT_D_peone_2                  	"RT_D_peone_2"
#define C_Res_RT_D_peone_3                  	"RT_D_peone_3"
#define C_Res_RT_D_peone_3_1                	"RT_D_peone_3_1"
#define C_Res_RT_D_peone_3_2                	"RT_D_peone_3_2"
#define C_Res_RT_D_peone_4                  	"RT_D_peone_4"
#define C_Res_RT_D_peone_4_1                	"RT_D_peone_4_1"
#define C_Res_RT_D_peone_4_2                	"RT_D_peone_4_2"
#define C_Res_RT_D_peone_5                  	"RT_D_peone_5"
#define C_Res_RT_D_peone_5_1                	"RT_D_peone_5_1"
#define C_Res_RT_D_peone_5_2                	"RT_D_peone_5_2"
#define C_Res_RT_D_peone_6                  	"RT_D_peone_6"
#define C_Res_RT_D_peone_6_1                	"RT_D_peone_6_1"
#define C_Res_RT_D_peone_6_2                	"RT_D_peone_6_2"
#define C_Res_RT_D_peone_7                  	"RT_D_peone_7"
#define C_Res_RT_D_peone_7_1                	"RT_D_peone_7_1"
#define C_Res_RS_D_peone_1                  	"RS_D_peone_1"
#define C_Res_RS_D_peone_1_1                	"RS_D_peone_1_1"
#define C_Res_RS_D_peone_1_2                	"RS_D_peone_1_2"
#define C_Res_RS_D_peone_1_3                	"RS_D_peone_1_3"
#define C_Res_RS_D_peone_2                  	"RS_D_peone_2"
#define C_Res_RS_D_peone_3                  	"RS_D_peone_3"
#define C_Res_RS_D_peone_3_1                	"RS_D_peone_3_1"
#define C_Res_RS_D_peone_3_2                	"RS_D_peone_3_2"
#define C_Res_RS_D_peone_4                  	"RS_D_peone_4"
#define C_Res_RS_D_peone_4_1                	"RS_D_peone_4_1"
#define C_Res_RS_D_peone_4_2                	"RS_D_peone_4_2"
#define C_Res_RS_D_peone_5                  	"RS_D_peone_5"
#define C_Res_RS_D_peone_5_1                	"RS_D_peone_5_1"
#define C_Res_RS_D_peone_5_2                	"RS_D_peone_5_2"
#define C_Res_RS_D_peone_6                  	"RS_D_peone_6"
#define C_Res_RS_D_peone_6_1                	"RS_D_peone_6_1"
#define C_Res_RS_D_peone_6_2                	"RS_D_peone_6_2"
#define C_Res_RS_D_peone_7                  	"RS_D_peone_7"
#define C_Res_RS_D_peone_7_1                	"RS_D_peone_7_1"
#define C_Res_R_fond_wc                     	"R_fond_wc"
#define C_Res_R_fond_chambre                	"R_fond_chambre"
#define C_Res_R_fond_cuisine                	"R_fond_cuisine"
#define C_Res_R_fond_balcon                 	"R_fond_balcon"
#define C_Res_R_scout_balcon_pisse          	"R_scout_balcon_pisse"
#define C_Res_R_scout_balcon_pisse_loin     	"R_scout_balcon_pisse_loin"
#define C_Res_R_panneau_lampePoche          	"R_panneau_lampePoche"
#define C_Res_R_lampePoche                  	"R_lampePoche"
#define C_Res_R_panneau_matelas             	"R_panneau_matelas"
#define C_Res_R_lit_sansMatelas             	"R_lit_sansMatelas"
#define C_Res_R_titroir_ouvert              	"R_titroir_ouvert"
#define C_Res_R_titroir_capote              	"R_titroir_capote"
#define C_Res_R_titroir_playboy             	"R_titroir_playboy"
#define C_Res_RT_D_barman_1                 	"RT_D_barman_1"
#define C_Res_RT_D_barman_2                 	"RT_D_barman_2"
#define C_Res_RT_D_barman_3                 	"RT_D_barman_3"
#define C_Res_RT_D_barman_4                 	"RT_D_barman_4"
#define C_Res_RT_D_barman_1_1               	"RT_D_barman_1_1"
#define C_Res_RT_D_barman_5                 	"RT_D_barman_5"
#define C_Res_RT_D_biond_parachute_1        	"RT_D_biond_parachute_1"
#define C_Res_RT_D_biond_parachute_1_1      	"RT_D_biond_parachute_1_1"
#define C_Res_RT_D_biond_parachute_1_2      	"RT_D_biond_parachute_1_2"
#define C_Res_RT_D_biond_parachute_1_3      	"RT_D_biond_parachute_1_3"
#define C_Res_RT_D_biond_parachute_2        	"RT_D_biond_parachute_2"
#define C_Res_RT_D_biond_parachute_2_1      	"RT_D_biond_parachute_2_1"
#define C_Res_RT_D_biond_parachute_2_2      	"RT_D_biond_parachute_2_2"
#define C_Res_RT_D_biond_parachute_2_3      	"RT_D_biond_parachute_2_3"
#define C_Res_RT_D_biond_parachute_3        	"RT_D_biond_parachute_3"
#define C_Res_RT_D_biond_parachute_3_1      	"RT_D_biond_parachute_3_1"
#define C_Res_RT_D_biond_parachute_3_2      	"RT_D_biond_parachute_3_2"
#define C_Res_RT_D_biond_parachute_4        	"RT_D_biond_parachute_4"
#define C_Res_RT_D_biond_parachute_4_1      	"RT_D_biond_parachute_4_1"
#define C_Res_RT_D_biond_parachute_4_2      	"RT_D_biond_parachute_4_2"
#define C_Res_RT_D_biond_parachute_5        	"RT_D_biond_parachute_5"
#define C_Res_RT_D_biond_parachute_5_1      	"RT_D_biond_parachute_5_1"
#define C_Res_RT_D_biond_parachute_5_2      	"RT_D_biond_parachute_5_2"
#define C_Res_RT_D_biond_parachute_5_3      	"RT_D_biond_parachute_5_3"
#define C_Res_RT_D_biond_parachute_6        	"RT_D_biond_parachute_6"
#define C_Res_RT_D_biond_parachute_6_1      	"RT_D_biond_parachute_6_1"
#define C_Res_RT_D_biond_parachute_6_2      	"RT_D_biond_parachute_6_2"
#define C_Res_RT_D_biond_parachute_6_3      	"RT_D_biond_parachute_6_3"
#define C_Res_RT_D_biond_parachute_7        	"RT_D_biond_parachute_7"
#define C_Res_RT_D_biond_parachute_7_1      	"RT_D_biond_parachute_7_1"
#define C_Res_RT_D_biond_parachute_7_2      	"RT_D_biond_parachute_7_2"
#define C_Res_RT_D_biond_parachute_7_3      	"RT_D_biond_parachute_7_3"
#define C_Res_RT_D_biond_parachute_8        	"RT_D_biond_parachute_8"
#define C_Res_RT_D_biond_parachute_8_1      	"RT_D_biond_parachute_8_1"
#define C_Res_RT_D_biond_parachute_8_2      	"RT_D_biond_parachute_8_2"
#define C_Res_RT_D_biond_parachute_8_3      	"RT_D_biond_parachute_8_3"
#define C_Res_RT_D_biond_parachute_9        	"RT_D_biond_parachute_9"
#define C_Res_RT_D_biond_parachute_10       	"RT_D_biond_parachute_10"
#define C_Res_RT_D_biond_parachute_10_1     	"RT_D_biond_parachute_10_1"
#define C_Res_RT_D_biond_parachute_10_2     	"RT_D_biond_parachute_10_2"
#define C_Res_RT_D_biond_parachute_10_3     	"RT_D_biond_parachute_10_3"
#define C_Res_RT_D_biond_parachute_11       	"RT_D_biond_parachute_11"
#define C_Res_RT_D_biond_parachute_11_1     	"RT_D_biond_parachute_11_1"
#define C_Res_RT_D_biond_parachute_11_2     	"RT_D_biond_parachute_11_2"
#define C_Res_RT_D_biond_parachute_11_3     	"RT_D_biond_parachute_11_3"
#define C_Res_RT_D_biond_parachute_12       	"RT_D_biond_parachute_12"
#define C_Res_RT_D_biond_parachute_12_1     	"RT_D_biond_parachute_12_1"
#define C_Res_RT_D_biond_parachute_14       	"RT_D_biond_parachute_14"
#define C_Res_RT_D_biond_parachute_14_1     	"RT_D_biond_parachute_14_1"
#define C_Res_RT_D_biond_parachute_14_2     	"RT_D_biond_parachute_14_2"
#define C_Res_RT_D_biond_parachute_15       	"RT_D_biond_parachute_15"
#define C_Res_RT_D_biond_parachute_15_1     	"RT_D_biond_parachute_15_1"
#define C_Res_RT_D_biond_parachute_15_2     	"RT_D_biond_parachute_15_2"
#define C_Res_RT_D_biond_parachute_16       	"RT_D_biond_parachute_16"
#define C_Res_RT_D_biond_parachute_17       	"RT_D_biond_parachute_17"
#define C_Res_RT_D_biond_parachute_17_1     	"RT_D_biond_parachute_17_1"
#define C_Res_RT_D_biond_parachute_17_2     	"RT_D_biond_parachute_17_2"
#define C_Res_RT_D_biond_parachute_18       	"RT_D_biond_parachute_18"
#define C_Res_RT_D_biond_parachute_18_1     	"RT_D_biond_parachute_18_1"
#define C_Res_RT_D_biond_parachute_18_2     	"RT_D_biond_parachute_18_2"
#define C_Res_RT_D_biond_parachute_19       	"RT_D_biond_parachute_19"
#define C_Res_RT_D_biond_parachute_20       	"RT_D_biond_parachute_20"
#define C_Res_RT_D_biond_parachute_22       	"RT_D_biond_parachute_22"
#define C_Res_RT_D_biond_parachute_22_1     	"RT_D_biond_parachute_22_1"
#define C_Res_RT_D_biond_parachute_22_2     	"RT_D_biond_parachute_22_2"
#define C_Res_RT_D_biond_parachute_23       	"RT_D_biond_parachute_23"
#define C_Res_RT_D_biond_parachute_23_1     	"RT_D_biond_parachute_23_1"
#define C_Res_RT_D_biond_parachute_23_2     	"RT_D_biond_parachute_23_2"
#define C_Res_RT_D_biond_parachute_24       	"RT_D_biond_parachute_24"
#define C_Res_RT_D_biond_parachute_25       	"RT_D_biond_parachute_25"
#define C_Res_RS_D_barman_1                 	"RS_D_barman_1"
#define C_Res_RS_D_barman_2                 	"RS_D_barman_2"
#define C_Res_RS_D_barman_3                 	"RS_D_barman_3"
#define C_Res_RS_D_barman_4                 	"RS_D_barman_4"
#define C_Res_RS_D_barman_1_1               	"RS_D_barman_1_1"
#define C_Res_RS_D_barman_5                 	"RS_D_barman_5"
#define C_Res_RS_D_biond_parachute_1        	"RS_D_biond_parachute_1"
#define C_Res_RS_D_biond_parachute_1_1      	"RS_D_biond_parachute_1_1"
#define C_Res_RS_D_biond_parachute_1_2      	"RS_D_biond_parachute_1_2"
#define C_Res_RS_D_biond_parachute_1_3      	"RS_D_biond_parachute_1_3"
#define C_Res_RS_D_biond_parachute_2        	"RS_D_biond_parachute_2"
#define C_Res_RS_D_biond_parachute_2_1      	"RS_D_biond_parachute_2_1"
#define C_Res_RS_D_biond_parachute_2_2      	"RS_D_biond_parachute_2_2"
#define C_Res_RS_D_biond_parachute_2_3      	"RS_D_biond_parachute_2_3"
#define C_Res_RS_D_biond_parachute_3        	"RS_D_biond_parachute_3"
#define C_Res_RS_D_biond_parachute_3_1      	"RS_D_biond_parachute_3_1"
#define C_Res_RS_D_biond_parachute_3_2      	"RS_D_biond_parachute_3_2"
#define C_Res_RS_D_biond_parachute_4        	"RS_D_biond_parachute_4"
#define C_Res_RS_D_biond_parachute_4_1      	"RS_D_biond_parachute_4_1"
#define C_Res_RS_D_biond_parachute_4_2      	"RS_D_biond_parachute_4_2"
#define C_Res_RS_D_biond_parachute_5        	"RS_D_biond_parachute_5"
#define C_Res_RS_D_biond_parachute_5_1      	"RS_D_biond_parachute_5_1"
#define C_Res_RS_D_biond_parachute_5_2      	"RS_D_biond_parachute_5_2"
#define C_Res_RS_D_biond_parachute_5_3      	"RS_D_biond_parachute_5_3"
#define C_Res_RS_D_biond_parachute_6        	"RS_D_biond_parachute_6"
#define C_Res_RS_D_biond_parachute_6_1      	"RS_D_biond_parachute_6_1"
#define C_Res_RS_D_biond_parachute_6_2      	"RS_D_biond_parachute_6_2"
#define C_Res_RS_D_biond_parachute_6_3      	"RS_D_biond_parachute_6_3"
#define C_Res_RS_D_biond_parachute_7        	"RS_D_biond_parachute_7"
#define C_Res_RS_D_biond_parachute_7_1      	"RS_D_biond_parachute_7_1"
#define C_Res_RS_D_biond_parachute_7_2      	"RS_D_biond_parachute_7_2"
#define C_Res_RS_D_biond_parachute_7_3      	"RS_D_biond_parachute_7_3"
#define C_Res_RS_D_biond_parachute_8        	"RS_D_biond_parachute_8"
#define C_Res_RS_D_biond_parachute_8_1      	"RS_D_biond_parachute_8_1"
#define C_Res_RS_D_biond_parachute_8_2      	"RS_D_biond_parachute_8_2"
#define C_Res_RS_D_biond_parachute_8_3      	"RS_D_biond_parachute_8_3"
#define C_Res_RS_D_biond_parachute_9        	"RS_D_biond_parachute_9"
#define C_Res_RS_D_biond_parachute_10       	"RS_D_biond_parachute_10"
#define C_Res_RS_D_biond_parachute_10_1     	"RS_D_biond_parachute_10_1"
#define C_Res_RS_D_biond_parachute_10_2     	"RS_D_biond_parachute_10_2"
#define C_Res_RS_D_biond_parachute_10_3     	"RS_D_biond_parachute_10_3"
#define C_Res_RS_D_biond_parachute_11       	"RS_D_biond_parachute_11"
#define C_Res_RS_D_biond_parachute_11_1     	"RS_D_biond_parachute_11_1"
#define C_Res_RS_D_biond_parachute_11_2     	"RS_D_biond_parachute_11_2"
#define C_Res_RS_D_biond_parachute_11_3     	"RS_D_biond_parachute_11_3"
#define C_Res_RS_D_biond_parachute_12       	"RS_D_biond_parachute_12"
#define C_Res_RS_D_biond_parachute_12_1     	"RS_D_biond_parachute_12_1"
#define C_Res_RS_D_biond_parachute_14       	"RS_D_biond_parachute_14"
#define C_Res_RS_D_biond_parachute_14_1     	"RS_D_biond_parachute_14_1"
#define C_Res_RS_D_biond_parachute_14_2     	"RS_D_biond_parachute_14_2"
#define C_Res_RS_D_biond_parachute_15       	"RS_D_biond_parachute_15"
#define C_Res_RS_D_biond_parachute_15_1     	"RS_D_biond_parachute_15_1"
#define C_Res_RS_D_biond_parachute_15_2     	"RS_D_biond_parachute_15_2"
#define C_Res_RS_D_biond_parachute_16       	"RS_D_biond_parachute_16"
#define C_Res_RS_D_biond_parachute_17       	"RS_D_biond_parachute_17"
#define C_Res_RS_D_biond_parachute_17_1     	"RS_D_biond_parachute_17_1"
#define C_Res_RS_D_biond_parachute_17_2     	"RS_D_biond_parachute_17_2"
#define C_Res_RS_D_biond_parachute_18       	"RS_D_biond_parachute_18"
#define C_Res_RS_D_biond_parachute_18_1     	"RS_D_biond_parachute_18_1"
#define C_Res_RS_D_biond_parachute_18_2     	"RS_D_biond_parachute_18_2"
#define C_Res_RS_D_biond_parachute_19       	"RS_D_biond_parachute_19"
#define C_Res_RS_D_biond_parachute_20       	"RS_D_biond_parachute_20"
#define C_Res_RS_D_biond_parachute_22       	"RS_D_biond_parachute_22"
#define C_Res_RS_D_biond_parachute_22_1     	"RS_D_biond_parachute_22_1"
#define C_Res_RS_D_biond_parachute_22_2     	"RS_D_biond_parachute_22_2"
#define C_Res_RS_D_biond_parachute_23       	"RS_D_biond_parachute_23"
#define C_Res_RS_D_biond_parachute_23_1     	"RS_D_biond_parachute_23_1"
#define C_Res_RS_D_biond_parachute_23_2     	"RS_D_biond_parachute_23_2"
#define C_Res_RS_D_biond_parachute_24       	"RS_D_biond_parachute_24"
#define C_Res_RS_D_biond_parachute_25       	"RS_D_biond_parachute_25"
#define C_Res_R_panneau_capote              	"R_panneau_capote"
#define C_Res_R_panneau_playboy             	"R_panneau_playboy"
#define C_Res_R_parachute                   	"R_parachute"
#define C_Res_R_parachutiste_tombe          	"R_parachutiste_tombe"
#define C_Res_RT_D_biond_parachute_rdv_bar  	"RT_D_biond_parachute_rdv_bar"
#define C_Res_RS_D_biond_parachute_rdv_bar  	"RS_D_biond_parachute_rdv_bar"
#define C_Res_RT_D_biond_bar_1              	"RT_D_biond_bar_1"
#define C_Res_RT_D_biond_bar_1_1            	"RT_D_biond_bar_1_1"
#define C_Res_RT_D_biond_bar_1_2            	"RT_D_biond_bar_1_2"
#define C_Res_RT_D_biond_bar_1_3            	"RT_D_biond_bar_1_3"
#define C_Res_RT_D_biond_bar_2              	"RT_D_biond_bar_2"
#define C_Res_RT_D_biond_bar_2_1            	"RT_D_biond_bar_2_1"
#define C_Res_RT_D_biond_bar_2_2            	"RT_D_biond_bar_2_2"
#define C_Res_RT_D_biond_bar_2_3            	"RT_D_biond_bar_2_3"
#define C_Res_RT_D_biond_bar_4              	"RT_D_biond_bar_4"
#define C_Res_RT_D_biond_bar_4_1            	"RT_D_biond_bar_4_1"
#define C_Res_RT_D_biond_bar_4_2            	"RT_D_biond_bar_4_2"
#define C_Res_RT_D_biond_bar_5              	"RT_D_biond_bar_5"
#define C_Res_RT_D_biond_bar_5_1            	"RT_D_biond_bar_5_1"
#define C_Res_RT_D_biond_bar_5_2            	"RT_D_biond_bar_5_2"
#define C_Res_RT_D_biond_bar_5_3            	"RT_D_biond_bar_5_3"
#define C_Res_RT_D_biond_bar_6              	"RT_D_biond_bar_6"
#define C_Res_RT_D_biond_bar_6_1            	"RT_D_biond_bar_6_1"
#define C_Res_RT_D_biond_bar_6_2            	"RT_D_biond_bar_6_2"
#define C_Res_RT_D_biond_bar_7              	"RT_D_biond_bar_7"
#define C_Res_RT_D_biond_bar_7_1            	"RT_D_biond_bar_7_1"
#define C_Res_RT_D_biond_bar_7_2            	"RT_D_biond_bar_7_2"
#define C_Res_RT_D_biond_bar_8              	"RT_D_biond_bar_8"
#define C_Res_RT_D_biond_bar_8_1            	"RT_D_biond_bar_8_1"
#define C_Res_RT_D_biond_bar_8_2            	"RT_D_biond_bar_8_2"
#define C_Res_RT_D_biond_bar_9              	"RT_D_biond_bar_9"
#define C_Res_RT_D_biond_bar_9_1            	"RT_D_biond_bar_9_1"
#define C_Res_RT_D_biond_bar_9_2            	"RT_D_biond_bar_9_2"
#define C_Res_RT_D_biond_bar_9_3            	"RT_D_biond_bar_9_3"
#define C_Res_RT_D_biond_bar_10             	"RT_D_biond_bar_10"
#define C_Res_RT_D_biond_bar_10_1           	"RT_D_biond_bar_10_1"
#define C_Res_RT_D_biond_bar_10_2           	"RT_D_biond_bar_10_2"
#define C_Res_RT_D_biond_bar_11             	"RT_D_biond_bar_11"
#define C_Res_RT_D_biond_bar_11_1           	"RT_D_biond_bar_11_1"
#define C_Res_RT_D_biond_bar_11_2           	"RT_D_biond_bar_11_2"
#define C_Res_RT_D_biond_bar_12             	"RT_D_biond_bar_12"
#define C_Res_RT_D_biond_bar_14             	"RT_D_biond_bar_14"
#define C_Res_RT_D_biond_bar_14_1           	"RT_D_biond_bar_14_1"
#define C_Res_RT_D_biond_bar_14_2           	"RT_D_biond_bar_14_2"
#define C_Res_RT_D_biond_bar_15             	"RT_D_biond_bar_15"
#define C_Res_RT_D_biond_bar_16             	"RT_D_biond_bar_16"
#define C_Res_RT_D_biond_bar_16_1           	"RT_D_biond_bar_16_1"
#define C_Res_RT_D_biond_bar_16_2           	"RT_D_biond_bar_16_2"
#define C_Res_RT_D_biond_bar_17             	"RT_D_biond_bar_17"
#define C_Res_RT_D_biond_bar_18             	"RT_D_biond_bar_18"
#define C_Res_RT_D_biond_bar_18_1           	"RT_D_biond_bar_18_1"
#define C_Res_RT_D_biond_bar_18_2           	"RT_D_biond_bar_18_2"
#define C_Res_RT_D_biond_bar_18_3           	"RT_D_biond_bar_18_3"
#define C_Res_RT_D_biond_bar_19             	"RT_D_biond_bar_19"
#define C_Res_RT_D_biond_bar_19_1           	"RT_D_biond_bar_19_1"
#define C_Res_RT_D_biond_bar_19_2           	"RT_D_biond_bar_19_2"
#define C_Res_RT_D_biond_bar_19_3           	"RT_D_biond_bar_19_3"
#define C_Res_RT_D_biond_bar_20             	"RT_D_biond_bar_20"
#define C_Res_RT_D_biond_bar_20_1           	"RT_D_biond_bar_20_1"
#define C_Res_RT_D_biond_bar_20_2           	"RT_D_biond_bar_20_2"
#define C_Res_RT_D_biond_bar_21             	"RT_D_biond_bar_21"
#define C_Res_RT_D_biond_bar_21_1           	"RT_D_biond_bar_21_1"
#define C_Res_RT_D_biond_bar_21_2           	"RT_D_biond_bar_21_2"
#define C_Res_RT_D_biond_bar_22             	"RT_D_biond_bar_22"
#define C_Res_RT_D_biond_bar_22_1           	"RT_D_biond_bar_22_1"
#define C_Res_RT_D_biond_bar_22_2           	"RT_D_biond_bar_22_2"
#define C_Res_RT_D_biond_bar_23             	"RT_D_biond_bar_23"
#define C_Res_RT_D_biond_bar_24             	"RT_D_biond_bar_24"
#define C_Res_RT_D_biond_bar_24_1           	"RT_D_biond_bar_24_1"
#define C_Res_RT_D_biond_bar_24_2           	"RT_D_biond_bar_24_2"
#define C_Res_RT_D_biond_bar_25             	"RT_D_biond_bar_25"
#define C_Res_RT_D_biond_bar_26             	"RT_D_biond_bar_26"
#define C_Res_RT_D_biond_bar_26_1           	"RT_D_biond_bar_26_1"
#define C_Res_RT_D_biond_bar_26_2           	"RT_D_biond_bar_26_2"
#define C_Res_RS_D_biond_bar_1              	"RS_D_biond_bar_1"
#define C_Res_RS_D_biond_bar_1_1            	"RS_D_biond_bar_1_1"
#define C_Res_RS_D_biond_bar_1_2            	"RS_D_biond_bar_1_2"
#define C_Res_RS_D_biond_bar_1_3            	"RS_D_biond_bar_1_3"
#define C_Res_RS_D_biond_bar_2              	"RS_D_biond_bar_2"
#define C_Res_RS_D_biond_bar_2_1            	"RS_D_biond_bar_2_1"
#define C_Res_RS_D_biond_bar_2_2            	"RS_D_biond_bar_2_2"
#define C_Res_RS_D_biond_bar_2_3            	"RS_D_biond_bar_2_3"
#define C_Res_RS_D_biond_bar_4              	"RS_D_biond_bar_4"
#define C_Res_RS_D_biond_bar_4_1            	"RS_D_biond_bar_4_1"
#define C_Res_RS_D_biond_bar_4_2            	"RS_D_biond_bar_4_2"
#define C_Res_RS_D_biond_bar_5              	"RS_D_biond_bar_5"
#define C_Res_RS_D_biond_bar_5_1            	"RS_D_biond_bar_5_1"
#define C_Res_RS_D_biond_bar_5_2            	"RS_D_biond_bar_5_2"
#define C_Res_RS_D_biond_bar_5_3            	"RS_D_biond_bar_5_3"
#define C_Res_RS_D_biond_bar_6              	"RS_D_biond_bar_6"
#define C_Res_RS_D_biond_bar_6_1            	"RS_D_biond_bar_6_1"
#define C_Res_RS_D_biond_bar_6_2            	"RS_D_biond_bar_6_2"
#define C_Res_RS_D_biond_bar_7              	"RS_D_biond_bar_7"
#define C_Res_RS_D_biond_bar_7_1            	"RS_D_biond_bar_7_1"
#define C_Res_RS_D_biond_bar_7_2            	"RS_D_biond_bar_7_2"
#define C_Res_RS_D_biond_bar_8              	"RS_D_biond_bar_8"
#define C_Res_RS_D_biond_bar_8_1            	"RS_D_biond_bar_8_1"
#define C_Res_RS_D_biond_bar_8_2            	"RS_D_biond_bar_8_2"
#define C_Res_RS_D_biond_bar_9              	"RS_D_biond_bar_9"
#define C_Res_RS_D_biond_bar_9_1            	"RS_D_biond_bar_9_1"
#define C_Res_RS_D_biond_bar_9_2            	"RS_D_biond_bar_9_2"
#define C_Res_RS_D_biond_bar_9_3            	"RS_D_biond_bar_9_3"
#define C_Res_RS_D_biond_bar_10             	"RS_D_biond_bar_10"
#define C_Res_RS_D_biond_bar_10_1           	"RS_D_biond_bar_10_1"
#define C_Res_RS_D_biond_bar_10_2           	"RS_D_biond_bar_10_2"
#define C_Res_RS_D_biond_bar_10_3           	"RS_D_biond_bar_10_3"
#define C_Res_RS_D_biond_bar_11             	"RS_D_biond_bar_11"
#define C_Res_RS_D_biond_bar_11_1           	"RS_D_biond_bar_11_1"
#define C_Res_RS_D_biond_bar_11_2           	"RS_D_biond_bar_11_2"
#define C_Res_RS_D_biond_bar_12             	"RS_D_biond_bar_12"
#define C_Res_RS_D_biond_bar_14             	"RS_D_biond_bar_14"
#define C_Res_RS_D_biond_bar_14_1           	"RS_D_biond_bar_14_1"
#define C_Res_RS_D_biond_bar_14_2           	"RS_D_biond_bar_14_2"
#define C_Res_RS_D_biond_bar_15             	"RS_D_biond_bar_15"
#define C_Res_RS_D_biond_bar_16             	"RS_D_biond_bar_16"
#define C_Res_RS_D_biond_bar_16_1           	"RS_D_biond_bar_16_1"
#define C_Res_RS_D_biond_bar_16_2           	"RS_D_biond_bar_16_2"
#define C_Res_RS_D_biond_bar_17             	"RS_D_biond_bar_17"
#define C_Res_RS_D_biond_bar_18             	"RS_D_biond_bar_18"
#define C_Res_RS_D_biond_bar_18_1           	"RS_D_biond_bar_18_1"
#define C_Res_RS_D_biond_bar_18_2           	"RS_D_biond_bar_18_2"
#define C_Res_RS_D_biond_bar_18_3           	"RS_D_biond_bar_18_3"
#define C_Res_RS_D_biond_bar_19             	"RS_D_biond_bar_19"
#define C_Res_RS_D_biond_bar_19_1           	"RS_D_biond_bar_19_1"
#define C_Res_RS_D_biond_bar_19_2           	"RS_D_biond_bar_19_2"
#define C_Res_RS_D_biond_bar_19_3           	"RS_D_biond_bar_19_3"
#define C_Res_RS_D_biond_bar_20             	"RS_D_biond_bar_20"
#define C_Res_RS_D_biond_bar_20_1           	"RS_D_biond_bar_20_1"
#define C_Res_RS_D_biond_bar_20_2           	"RS_D_biond_bar_20_2"
#define C_Res_RS_D_biond_bar_21             	"RS_D_biond_bar_21"
#define C_Res_RS_D_biond_bar_21_1           	"RS_D_biond_bar_21_1"
#define C_Res_RS_D_biond_bar_21_2           	"RS_D_biond_bar_21_2"
#define C_Res_RS_D_biond_bar_22             	"RS_D_biond_bar_22"
#define C_Res_RS_D_biond_bar_22_1           	"RS_D_biond_bar_22_1"
#define C_Res_RS_D_biond_bar_22_2           	"RS_D_biond_bar_22_2"
#define C_Res_RS_D_biond_bar_23             	"RS_D_biond_bar_23"
#define C_Res_RS_D_biond_bar_24             	"RS_D_biond_bar_24"
#define C_Res_RS_D_biond_bar_24_1           	"RS_D_biond_bar_24_1"
#define C_Res_RS_D_biond_bar_24_2           	"RS_D_biond_bar_24_2"
#define C_Res_RS_D_biond_bar_25             	"RS_D_biond_bar_25"
#define C_Res_RS_D_biond_bar_26             	"RS_D_biond_bar_26"
#define C_Res_RS_D_biond_bar_26_1           	"RS_D_biond_bar_26_1"
#define C_Res_RS_D_biond_bar_26_2           	"RS_D_biond_bar_26_2"
#define C_Res_R_panneau_biere_plein         	"R_panneau_biere_plein"
#define C_Res_R_panneau_goutte_huile        	"R_panneau_goutte_huile"
#define C_Res_R_WC_periscope                	"R_WC_periscope"
#define C_Res_R_WC_mec_haut                 	"R_WC_mec_haut"
#define C_Res_R_WC_mec_bas                  	"R_WC_mec_bas"
#define C_Res_R_WC_scout                    	"R_WC_scout"
#define C_Res_R_piscine_vide                	"R_piscine_vide"
#define C_Res_R_piscine_pleine              	"R_piscine_pleine"
#define C_Res_R_scout_balcon_wait           	"R_scout_balcon_wait"
#define C_Res_RT_D_scout_biere_1            	"RT_D_scout_biere_1"
#define C_Res_RT_D_scout_biere_1_1          	"RT_D_scout_biere_1_1"
#define C_Res_RT_D_scout_biere_1_2          	"RT_D_scout_biere_1_2"
#define C_Res_RT_D_scout_biere_2            	"RT_D_scout_biere_2"
#define C_Res_RT_D_scout_biere_2_1          	"RT_D_scout_biere_2_1"
#define C_Res_RT_D_scout_biere_2_2          	"RT_D_scout_biere_2_2"
#define C_Res_RT_D_scout_biere_3            	"RT_D_scout_biere_3"
#define C_Res_RT_D_scout_biere_3_1          	"RT_D_scout_biere_3_1"
#define C_Res_RT_D_scout_biere_3_2          	"RT_D_scout_biere_3_2"
#define C_Res_RT_D_scout_biere_4            	"RT_D_scout_biere_4"
#define C_Res_RT_D_scout_biere_5            	"RT_D_scout_biere_5"
#define C_Res_RT_D_scout_biere_5_1          	"RT_D_scout_biere_5_1"
#define C_Res_RT_D_scout_biere_5_2          	"RT_D_scout_biere_5_2"
#define C_Res_RT_D_scout_biere_5_3          	"RT_D_scout_biere_5_3"
#define C_Res_RT_D_scout_biere_6            	"RT_D_scout_biere_6"
#define C_Res_RT_D_scout_biere_7            	"RT_D_scout_biere_7"
#define C_Res_RT_D_scout_biere_8            	"RT_D_scout_biere_8"
#define C_Res_RS_D_scout_biere_1            	"RS_D_scout_biere_1"
#define C_Res_RS_D_scout_biere_1_1          	"RS_D_scout_biere_1_1"
#define C_Res_RS_D_scout_biere_1_2          	"RS_D_scout_biere_1_2"
#define C_Res_RS_D_scout_biere_2            	"RS_D_scout_biere_2"
#define C_Res_RS_D_scout_biere_2_1          	"RS_D_scout_biere_2_1"
#define C_Res_RS_D_scout_biere_2_2          	"RS_D_scout_biere_2_2"
#define C_Res_RS_D_scout_biere_3            	"RS_D_scout_biere_3"
#define C_Res_RS_D_scout_biere_3_1          	"RS_D_scout_biere_3_1"
#define C_Res_RS_D_scout_biere_3_2          	"RS_D_scout_biere_3_2"
#define C_Res_RS_D_scout_biere_4            	"RS_D_scout_biere_4"
#define C_Res_RS_D_scout_biere_5            	"RS_D_scout_biere_5"
#define C_Res_RS_D_scout_biere_5_1          	"RS_D_scout_biere_5_1"
#define C_Res_RS_D_scout_biere_5_2          	"RS_D_scout_biere_5_2"
#define C_Res_RS_D_scout_biere_5_3          	"RS_D_scout_biere_5_3"
#define C_Res_RS_D_scout_biere_6            	"RS_D_scout_biere_6"
#define C_Res_RS_D_scout_biere_7            	"RS_D_scout_biere_7"
#define C_Res_RS_D_scout_biere_8            	"RS_D_scout_biere_8"
#define C_Res_RT_D_scout_playboy            	"RT_D_scout_playboy"
#define C_Res_RS_D_scout_playboy            	"RS_D_scout_playboy"
#define C_Res_RT_D_scout_WC_1               	"RT_D_scout_WC_1"
#define C_Res_RT_D_scout_WC_1_1             	"RT_D_scout_WC_1_1"
#define C_Res_RT_D_scout_WC_1_2             	"RT_D_scout_WC_1_2"
#define C_Res_RT_D_scout_WC_1_3             	"RT_D_scout_WC_1_3"
#define C_Res_RT_D_scout_WC_2               	"RT_D_scout_WC_2"
#define C_Res_RT_D_scout_WC_2_1             	"RT_D_scout_WC_2_1"
#define C_Res_RT_D_scout_WC_2_2             	"RT_D_scout_WC_2_2"
#define C_Res_RT_D_scout_WC_2_3             	"RT_D_scout_WC_2_3"
#define C_Res_RT_D_scout_WC_3               	"RT_D_scout_WC_3"
#define C_Res_RT_D_scout_WC_3_1             	"RT_D_scout_WC_3_1"
#define C_Res_RT_D_scout_WC_3_2             	"RT_D_scout_WC_3_2"
#define C_Res_RT_D_scout_WC_3_3             	"RT_D_scout_WC_3_3"
#define C_Res_RT_D_scout_WC_4               	"RT_D_scout_WC_4"
#define C_Res_RT_D_scout_WC_4_1             	"RT_D_scout_WC_4_1"
#define C_Res_RT_D_scout_WC_4_2             	"RT_D_scout_WC_4_2"
#define C_Res_RT_D_scout_WC_5               	"RT_D_scout_WC_5"
#define C_Res_RT_D_scout_WC_5_1             	"RT_D_scout_WC_5_1"
#define C_Res_RT_D_scout_WC_5_2             	"RT_D_scout_WC_5_2"
#define C_Res_RT_D_scout_WC_5_3             	"RT_D_scout_WC_5_3"
#define C_Res_RT_D_scout_WC_6               	"RT_D_scout_WC_6"
#define C_Res_RT_D_scout_WC_6b              	"RT_D_scout_WC_6b"
#define C_Res_RT_D_scout_WC_6c              	"RT_D_scout_WC_6c"
#define C_Res_RT_D_scout_WC_6c_1            	"RT_D_scout_WC_6c_1"
#define C_Res_RT_D_scout_WC_6c_2            	"RT_D_scout_WC_6c_2"
#define C_Res_RT_D_scout_WC_7               	"RT_D_scout_WC_7"
#define C_Res_RS_D_scout_WC_1               	"RS_D_scout_WC_1"
#define C_Res_RS_D_scout_WC_1_1             	"RS_D_scout_WC_1_1"
#define C_Res_RS_D_scout_WC_1_2             	"RS_D_scout_WC_1_2"
#define C_Res_RS_D_scout_WC_1_3             	"RS_D_scout_WC_1_3"
#define C_Res_RS_D_scout_WC_2               	"RS_D_scout_WC_2"
#define C_Res_RS_D_scout_WC_2_1             	"RS_D_scout_WC_2_1"
#define C_Res_RS_D_scout_WC_2_2             	"RS_D_scout_WC_2_2"
#define C_Res_RS_D_scout_WC_2_3             	"RS_D_scout_WC_2_3"
#define C_Res_RS_D_scout_WC_3               	"RS_D_scout_WC_3"
#define C_Res_RS_D_scout_WC_3_1             	"RS_D_scout_WC_3_1"
#define C_Res_RS_D_scout_WC_3_2             	"RS_D_scout_WC_3_2"
#define C_Res_RS_D_scout_WC_3_3             	"RS_D_scout_WC_3_3"
#define C_Res_RS_D_scout_WC_4               	"RS_D_scout_WC_4"
#define C_Res_RS_D_scout_WC_4_1             	"RS_D_scout_WC_4_1"
#define C_Res_RS_D_scout_WC_4_2             	"RS_D_scout_WC_4_2"
#define C_Res_RS_D_scout_WC_5               	"RS_D_scout_WC_5"
#define C_Res_RS_D_scout_WC_5_1             	"RS_D_scout_WC_5_1"
#define C_Res_RS_D_scout_WC_5_2             	"RS_D_scout_WC_5_2"
#define C_Res_RS_D_scout_WC_5_3             	"RS_D_scout_WC_5_3"
#define C_Res_RS_D_scout_WC_6               	"RS_D_scout_WC_6"
#define C_Res_RS_D_scout_WC_6b              	"RS_D_scout_WC_6b"
#define C_Res_RS_D_scout_WC_6c              	"RS_D_scout_WC_6c"
#define C_Res_RS_D_scout_WC_6c_1            	"RS_D_scout_WC_6c_1"
#define C_Res_RS_D_scout_WC_6c_2            	"RS_D_scout_WC_6c_2"
#define C_Res_RS_D_scout_WC_7               	"RS_D_scout_WC_7"
#define C_Res_RT_TexteIntro                 	"RT_TexteIntro"
#define C_Res_RA_Mouse_Go                   	"RA_Mouse_Go"
#define C_Res_R_prof                        	"R_prof"
#define C_Res_R_bord                        	"R_bord"
#define C_Res_R_photo_ile                   	"R_photo_ile"
#define C_Res_R_photo_kourou                	"R_photo_kourou"
#define C_Res_R_photo_martien               	"R_photo_martien"
#define C_Res_RT_TexteIntro_1               	"RT_TexteIntro_1"
#define C_Res_RT_TexteIntro_2               	"RT_TexteIntro_2"
#define C_Res_RT_TexteIntro_3               	"RT_TexteIntro_3"
#define C_Res_RT_TexteIntro_4               	"RT_TexteIntro_4"
#define C_Res_RT_TexteIntro_5               	"RT_TexteIntro_5"
#define C_Res_RT_TexteIntro_6               	"RT_TexteIntro_6"
#define C_Res_RT_TexteIntro_7               	"RT_TexteIntro_7"
#define C_Res_RT_TexteIntro_8               	"RT_TexteIntro_8"
#define C_Res_RT_TexteIntro_9               	"RT_TexteIntro_9"
#define C_Res_RT_TexteIntro_10              	"RT_TexteIntro_10"
#define C_Res_R_Mouse_Click                 	"R_Mouse_Click"
#define C_Res_R_ile_go                      	"R_ile_go"
#define C_Res_R_scout_marche_balcon         	"R_scout_marche_balcon"
#define C_Res_R_scout_balcon_boit           	"R_scout_balcon_boit"
#define C_Res_R_gars_WC_poing               	"R_gars_WC_poing"
#define C_Res_R_nom_canne                   	"R_nom_canne"
#define C_Res_R_nom_anguilles               	"R_nom_anguilles"
#define C_Res_R_nom_clef                    	"R_nom_clef"
#define C_Res_R_nom_lampe                   	"R_nom_lampe"
#define C_Res_R_nom_matelas                 	"R_nom_matelas"
#define C_Res_R_nom_playboy                 	"R_nom_playboy"
#define C_Res_R_nom_preservatif             	"R_nom_preservatif"
#define C_Res_R_nom_biere                   	"R_nom_biere"
#define C_Res_R_nom_goutte                  	"R_nom_goutte"
#define C_Res_R_fond_PC                     	"R_fond_PC"
#define C_Res_RT_village_pas_entrer         	"RT_village_pas_entrer"
#define C_Res_RT_D_peone_8                  	"RT_D_peone_8"
#define C_Res_RS_D_peone_8                  	"RS_D_peone_8"
#define C_Res_R_peone_marche                	"R_peone_marche"
#define C_Res_RT_mon_bateau                 	"RT_mon_bateau"
#define C_Res_R_boulon                      	"R_boulon"
#define C_Res_R_robinson_marche             	"R_robinson_marche"
#define C_Res_R_parachutiste_marche         	"R_parachutiste_marche"
