/*
 *
 *  ==  Coconut : "Welcome in the Coconut Island" ==
 *  2D Adventure Game Scenario
 *
 *  Copyright (C) 2000 Sebastien Josset
 *  sebastien.josset@free.fr
 *  
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Library General Public
 *  License as published by the Free Software Foundation; either
 *  version 2 of the License, or (at your option) any later version.
 *
 */
/*
 *
 *  Coconut
 *  Dialogue barman
 *
 *
 */

/****** Includes systmes ******/
/****** Includes applicatifs ******/

#include "coco_res.h"
#include "O_objets.h"
#include "D_barman.h"
#include "M_engine.h"
#include "S_son.h"

// Flags
int f_barman_1erFois=1;

void D_barman_go()
{
		cgb_dialog_on();
		if (f_barman_1erFois==1) {
			f_barman_1erFois = 0;
			D_barman_1();
		} else {
			D_barman_5();
		}

}

void D_barman_end()
{
	cgb_dialog_off();

}

/********************************/
void D_barman_1()
{
		cgb_obj_get_ptr_by_name(C_Objet_O_bar_serveur)->AffText(
					C_Res_RT_D_barman_1, M_dialogue_temps_aff, T_TRUE);
		S_playWavFromRes(C_Res_RS_D_barman_1);
		M_process_for_n_sec( M_dialogue_temps_aff );
		M_gdialogue.dialogue_set( 
					C_Res_RT_D_barman_1_1,C_Res_RS_D_barman_1_1,
					C_Res_RT_D_NULL,C_Res_RS_NULL,
					C_Res_RT_D_NULL,C_Res_RS_NULL,
					D_barman_1_rep);
}


void D_barman_1_rep(TE_Dialogue i_choix)
{
	switch(i_choix) {
	case Dialogue_1:
		D_barman_2();
		break;
	case Dialogue_2:
		break;
	case Dialogue_3:
		break;
	default:
		break;
	}
}

/********************************/
void D_barman_2()
{
		cgb_obj_get_ptr_by_name(C_Objet_O_bar_serveur)->AffText(
					C_Res_RT_D_barman_2, M_dialogue_temps_aff*2, T_TRUE);
		M_gdialogue.dialogue_set( 
					C_Res_RT_D_NULL,C_Res_RS_NULL,
					C_Res_RT_D_NULL,C_Res_RS_NULL,
					C_Res_RT_D_NULL,C_Res_RS_NULL,
					NULL);
		S_playWavFromRes(C_Res_RS_D_barman_2);
		M_process_for_n_sec( M_dialogue_temps_aff *2);
		D_barman_3();
}

/********************************/
void D_barman_3()
{
		cgb_obj_get_ptr_by_name(C_Objet_O_bar_serveur)->AffText(
					C_Res_RT_D_barman_3, M_dialogue_temps_aff*2, T_TRUE);
		S_playWavFromRes(C_Res_RS_D_barman_3);
		M_process_for_n_sec( M_dialogue_temps_aff*2 );
		D_barman_4();
}


/********************************/
void D_barman_4()
{
		cgb_obj_get_ptr_by_name(C_Objet_O_bar_serveur)->AffText(
					C_Res_RT_D_barman_4, M_dialogue_temps_aff, T_TRUE);
		S_playWavFromRes(C_Res_RS_D_barman_4);
		M_process_for_n_sec( M_dialogue_temps_aff);
		D_barman_5();
}

/********************************/
void D_barman_5()
{
		cgb_obj_get_ptr_by_name(C_Objet_O_bar_serveur)->AffText(
					C_Res_RT_D_barman_5, M_dialogue_temps_aff, T_TRUE);
		S_playWavFromRes(C_Res_RS_D_barman_5);
		cgb_obj_get_ptr_by_name(C_Objet_O_panneau_biere_plein)->SetisAfficher(T_TRUE);
		D_barman_end();
}

