/*
 *
 *  ==  Coconut : "Welcome in the Coconut Island" ==
 *  2D Adventure Game Scenario
 *
 *  Copyright (C) 2000 Sebastien Josset
 *  sebastien.josset@free.fr
 *  
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Library General Public
 *  License as published by the Free Software Foundation; either
 *  version 2 of the License, or (at your option) any later version.
 *
 */
/*
 *
 *  Coconut
 *  Dialogue scout WC
 *
 *
 */

/****** Includes systmes ******/
/****** Includes applicatifs ******/

#include "coco_res.h"
#include "O_objets.h"
#include "D_scout_WC.h"
#include "M_engine.h"
#include "S_son.h"



void D_scout_WC_go()
{
		cgb_dialog_on();
		D_scout_WC_1();
}

void D_scout_WC_end()
{
	cgb_dialog_off();

}

/********************************/
void D_scout_WC_1()
{
		cgb_obj_get_ptr_by_name(C_Objet_O_WC_scout)->AffText( 
					C_Res_RT_D_scout_WC_1, M_dialogue_temps_aff, T_TRUE);
		S_playWavFromRes(C_Res_RS_D_scout_WC_1);
		M_process_for_n_sec( M_dialogue_temps_aff );
		M_gdialogue.dialogue_set( 
					C_Res_RT_D_scout_WC_1_1,C_Res_RS_D_scout_WC_1_1,
					C_Res_RT_D_scout_WC_1_2,C_Res_RS_D_scout_WC_1_2,
					C_Res_RT_D_scout_WC_1_3,C_Res_RS_D_scout_WC_1_3,
					D_scout_WC_1_rep);
}


void D_scout_WC_1_rep(TE_Dialogue i_choix)
{
	switch(i_choix) {
	case Dialogue_1:
		D_scout_WC_2();
		break;
	case Dialogue_2:
		D_scout_WC_3();
		break;
	case Dialogue_3:
		D_scout_WC_2();
		break;
	default:
		break;
	}
}

/********************************/
void D_scout_WC_2()
{
		cgb_obj_get_ptr_by_name(C_Objet_O_WC_scout)->AffText(
					C_Res_RT_D_scout_WC_2, M_dialogue_temps_aff, T_TRUE);
		S_playWavFromRes(C_Res_RS_D_scout_WC_2);
		M_process_for_n_sec( M_dialogue_temps_aff );
		M_gdialogue.dialogue_set( 
					C_Res_RT_D_scout_WC_2_1,C_Res_RS_D_scout_WC_2_1,
					C_Res_RT_D_scout_WC_2_2,C_Res_RS_D_scout_WC_2_2,
					C_Res_RT_D_scout_WC_2_3,C_Res_RS_D_scout_WC_2_3,
					D_scout_WC_2_rep);
}


void D_scout_WC_2_rep(TE_Dialogue i_choix)
{
	switch(i_choix) {
	case Dialogue_1:
		D_scout_WC_3();
		break;
	case Dialogue_2:
		D_scout_WC_4();
		break;
	case Dialogue_3:
		D_scout_WC_end();
		break;
	default:
		break;
	}
}



/********************************/
void D_scout_WC_3()
{
		cgb_obj_get_ptr_by_name(C_Objet_O_WC_scout)->AffText(
					C_Res_RT_D_scout_WC_3, M_dialogue_temps_aff, T_TRUE);
		S_playWavFromRes(C_Res_RS_D_scout_WC_3);
		M_process_for_n_sec( M_dialogue_temps_aff );
		M_gdialogue.dialogue_set( 
					C_Res_RT_D_scout_WC_3_1,C_Res_RS_D_scout_WC_3_1,
					C_Res_RT_D_scout_WC_3_2,C_Res_RS_D_scout_WC_3_2,
					C_Res_RT_D_scout_WC_3_3,C_Res_RS_D_scout_WC_3_3,
					D_scout_WC_3_rep);
}


void D_scout_WC_3_rep(TE_Dialogue i_choix)
{
	switch(i_choix) {
	case Dialogue_1:
		D_scout_WC_5();
		break;
	case Dialogue_2:
		D_scout_WC_4();
		break;
	case Dialogue_3:
		D_scout_WC_end();
		break;
	default:
		break;
	}
}

/********************************/
void D_scout_WC_4()
{
		cgb_obj_get_ptr_by_name(C_Objet_O_WC_scout)->AffText(
					C_Res_RT_D_scout_WC_4, M_dialogue_temps_aff, T_TRUE);
		S_playWavFromRes(C_Res_RS_D_scout_WC_4);
		M_process_for_n_sec( M_dialogue_temps_aff );
		M_gdialogue.dialogue_set( 
					C_Res_RT_D_scout_WC_4_1,C_Res_RS_D_scout_WC_4_1,
					C_Res_RT_D_scout_WC_4_2,C_Res_RS_D_scout_WC_4_2,
					C_Res_RT_D_NULL,C_Res_RS_NULL,
					D_scout_WC_4_rep);
}


void D_scout_WC_4_rep(TE_Dialogue i_choix)
{
	switch(i_choix) {
	case Dialogue_1:
		D_scout_WC_5();
		break;
	case Dialogue_2:
		D_scout_WC_end();
		break;
	case Dialogue_3:
		break;
	default:
		break;
	}
}
/********************************/
void D_scout_WC_5()
{
		cgb_obj_get_ptr_by_name(C_Objet_O_WC_scout)->AffText(
					C_Res_RT_D_scout_WC_5, M_dialogue_temps_aff, T_TRUE);
		S_playWavFromRes(C_Res_RS_D_scout_WC_5);
		M_process_for_n_sec( M_dialogue_temps_aff );
		M_gdialogue.dialogue_set( 
					C_Res_RT_D_scout_WC_5_1,C_Res_RS_D_scout_WC_5_1,
					C_Res_RT_D_scout_WC_5_2,C_Res_RS_D_scout_WC_5_2,
					C_Res_RT_D_scout_WC_5_3,C_Res_RS_D_scout_WC_5_3,
					D_scout_WC_5_rep);
}


void D_scout_WC_5_rep(TE_Dialogue i_choix)
{
	switch(i_choix) {
	case Dialogue_1:
		D_scout_WC_6();
		break;
	case Dialogue_2:
		D_scout_WC_7();
		break;
	case Dialogue_3:
		D_scout_WC_end();
		break;
	default:
		break;
	}
}


/********************************/
void D_scout_WC_6()
{
		// il y va	
		cgb_obj_get_ptr_by_name(C_Objet_O_WC_scout)->SetPointDest(C_Objet_O_pt_WC_milieu, 1500);
		M_process_for_n_sec( 1500 );
		// pisse
		cgb_obj_get_ptr_by_name(C_Objet_O_WC_scout)->AffText(
					C_Res_RT_D_scout_WC_6, M_dialogue_temps_aff, T_TRUE);
		S_playWavFromRes(C_Res_RS_D_scout_WC_6);
		M_process_for_n_sec( M_dialogue_temps_aff );  
		cgb_obj_get_ptr_by_name(C_Objet_O_WC_mec_haut)->SetAnimCourantebyName(C_Res_R_gars_WC_poing);

		M_process_for_n_sec( M_dialogue_temps_aff );  
		cgb_obj_get_ptr_by_name(C_Objet_O_WC_mec_haut)->SetAnimCourantebyName(C_Res_R_WC_mec_haut);
		// coup de pied
		cgb_obj_get_ptr_by_name(C_Objet_O_WC_scout)->AffText(
					C_Res_RT_D_scout_WC_6b, M_dialogue_temps_aff, T_TRUE);
		S_playWavFromRes(C_Res_RS_D_scout_WC_6b);
		M_process_for_n_sec( M_dialogue_temps_aff );
		// ouille
		cgb_obj_get_ptr_by_name(C_Objet_O_WC_scout)->AffText(
					C_Res_RT_D_scout_WC_6c, M_dialogue_temps_aff, T_TRUE);
		S_playWavFromRes(C_Res_RS_D_scout_WC_6c);
		M_process_for_n_sec( M_dialogue_temps_aff );
		// il revient
		cgb_obj_get_ptr_by_name(C_Objet_O_WC_scout)->SetPointDest(C_Objet_O_pt_WC_scout, 1500);
		M_process_for_n_sec( 1500 );

		M_gdialogue.dialogue_set( 
					C_Res_RT_D_scout_WC_6c_1,C_Res_RS_D_scout_WC_6c_1,
					C_Res_RT_D_scout_WC_6c_2,C_Res_RS_D_scout_WC_6c_2,
					C_Res_RT_D_NULL,C_Res_RS_NULL,
					D_scout_WC_6_rep);

}

void D_scout_WC_6_rep(TE_Dialogue i_choix)
{
	switch(i_choix) {
	case Dialogue_1:
		D_scout_WC_7();
		break;
	case Dialogue_2:
		D_scout_WC_end();
		break;
	case Dialogue_3:
		break;
	default:
		break;
	}
}


/********************************/
void D_scout_WC_7()
{
		cgb_obj_get_ptr_by_name(C_Objet_O_WC_scout)->AffText(
					C_Res_RT_D_scout_WC_7, M_dialogue_temps_aff, T_TRUE);
		S_playWavFromRes(C_Res_RS_D_scout_WC_7);
		D_scout_WC_end();
		cgb_obj_get_ptr_by_name(C_Objet_O_WC_scout)->SetPointDest(C_Objet_O_pt_wc_gauche, 1000);
		M_process_for_n_sec( 1000 );
		cgb_obj_get_ptr_by_name(C_Objet_O_WC_scout)->SetisAfficher(T_FALSE);
		cgb_obj_get_ptr_by_name(C_Objet_O_scout_balcon_pisse)->SetisAfficher(T_TRUE);

}

