/*
 *
 *  ==  Coconut : "Welcome in the Coconut Island" ==
 *  2D Adventure Game Scenario
 *
 *  Copyright (C) 2000 Sebastien Josset
 *  sebastien.josset@free.fr
 *  
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Library General Public
 *  License as published by the Free Software Foundation; either
 *  version 2 of the License, or (at your option) any later version.
 *
 */
/*
 *
 *  Coconut
 *  Dialogue scout
 *
 *
 */

/****** Includes systmes ******/
/****** Includes applicatifs ******/

#include "coco_res.h"
#include "O_objets.h"
#include "D_scout_biere.h"
#include "M_engine.h"
#include "S_son.h"
#include "S_scout_biere.h"



void D_scout_biere_go()
{
		cgb_dialog_on();
		D_scout_biere_1();
}

void D_scout_biere_end()
{
	cgb_dialog_off();

}

/********************************/
void D_scout_biere_1()
{
		cgb_obj_get_ptr_by_name(C_Objet_O_scout_balcon_wait)->AffText( 
					C_Res_RT_D_scout_biere_1, M_dialogue_temps_aff, T_TRUE);
		S_playWavFromRes(C_Res_RS_D_scout_biere_1);
		M_process_for_n_sec( M_dialogue_temps_aff );
		M_gdialogue.dialogue_set( 
					C_Res_RT_D_scout_biere_1_1,C_Res_RS_D_scout_biere_1_1,
					C_Res_RT_D_scout_biere_1_2,C_Res_RS_D_scout_biere_1_2,
					C_Res_RT_D_NULL,C_Res_RS_NULL,
					D_scout_biere_1_rep);
}


void D_scout_biere_1_rep(TE_Dialogue i_choix)
{
	switch(i_choix) {
	case Dialogue_1:
		D_scout_biere_end();
		break;
	case Dialogue_2:
		D_scout_biere_2();
		break;
	case Dialogue_3:
		break;
	default:
		break;
	}
}

/********************************/
void D_scout_biere_2()
{
		cgb_obj_get_ptr_by_name(C_Objet_O_scout_balcon_wait)->AffText(
					C_Res_RT_D_scout_biere_2, M_dialogue_temps_aff, T_TRUE);
		S_playWavFromRes(C_Res_RS_D_scout_biere_2);
		M_process_for_n_sec( M_dialogue_temps_aff );
		M_gdialogue.dialogue_set( 
					C_Res_RT_D_scout_biere_2_1,C_Res_RS_D_scout_biere_2_1,
					C_Res_RT_D_scout_biere_2_2,C_Res_RS_D_scout_biere_2_2,
					C_Res_RT_D_NULL,C_Res_RS_NULL,
					D_scout_biere_2_rep);
}


void D_scout_biere_2_rep(TE_Dialogue i_choix)
{
	switch(i_choix) {
	case Dialogue_1:
		D_scout_biere_3();
		break;
	case Dialogue_2:
		D_scout_biere_4();
		break;
	case Dialogue_3:
		break;
	default:
		break;
	}
}



/********************************/
void D_scout_biere_3()
{
		cgb_obj_get_ptr_by_name(C_Objet_O_scout_balcon_wait)->AffText(
					C_Res_RT_D_scout_biere_3, M_dialogue_temps_aff, T_TRUE);
		S_playWavFromRes(C_Res_RS_D_scout_biere_3);
		M_process_for_n_sec( M_dialogue_temps_aff );
		M_gdialogue.dialogue_set( 
					C_Res_RT_D_scout_biere_3_1,C_Res_RS_D_scout_biere_3_1,
					C_Res_RT_D_scout_biere_3_2,C_Res_RS_D_scout_biere_3_2,
					C_Res_RT_D_NULL,C_Res_RS_NULL,
					D_scout_biere_3_rep);
}


void D_scout_biere_3_rep(TE_Dialogue i_choix)
{
	switch(i_choix) {
	case Dialogue_1:
		D_scout_biere_5();
		break;
	case Dialogue_2:
		D_scout_biere_6();
		break;
	case Dialogue_3:
		break;
	default:
		break;
	}
}

/********************************/
void D_scout_biere_4()
{
		cgb_obj_get_ptr_by_name(C_Objet_O_scout_balcon_wait)->AffText(
					C_Res_RT_D_scout_biere_4, M_dialogue_temps_aff, T_TRUE);
		S_playWavFromRes(C_Res_RS_D_scout_biere_4);
		D_scout_biere_end();
}

/********************************/
void D_scout_biere_5()
{
		cgb_obj_get_ptr_by_name(C_Objet_O_scout_balcon_wait)->AffText(
					C_Res_RT_D_scout_biere_5, M_dialogue_temps_aff, T_TRUE);
		S_playWavFromRes(C_Res_RS_D_scout_biere_5);
		M_process_for_n_sec( M_dialogue_temps_aff );
		M_gdialogue.dialogue_set( 
					C_Res_RT_D_scout_biere_5_1,C_Res_RS_D_scout_biere_5_1,
					C_Res_RT_D_scout_biere_5_2,C_Res_RS_D_scout_biere_5_2,
					C_Res_RT_D_scout_biere_5_3,C_Res_RS_D_scout_biere_5_3,
					D_scout_biere_5_rep);
}


void D_scout_biere_5_rep(TE_Dialogue i_choix)
{
	switch(i_choix) {
	case Dialogue_1:
		D_scout_biere_8();
		break;
	case Dialogue_2:
		D_scout_biere_7();
		break;
	case Dialogue_3:
		D_scout_biere_end();
		break;
	default:
		break;
	}
}


/********************************/
void D_scout_biere_6()
{
		cgb_obj_get_ptr_by_name(C_Objet_O_scout_balcon_wait)->AffText(
					C_Res_RT_D_scout_biere_6, M_dialogue_temps_aff, T_TRUE);
		S_playWavFromRes(C_Res_RS_D_scout_biere_6);
		D_scout_biere_end();
}

/********************************/
void D_scout_biere_7()
{
		D_scout_biere_end();
		M_scout_biere_boit_biere();
}

/********************************/
void D_scout_biere_8()
{
		cgb_obj_get_ptr_by_name(C_Objet_O_scout_balcon_wait)->AffText(
					C_Res_RT_D_scout_biere_8, M_dialogue_temps_aff, T_TRUE);
		S_playWavFromRes(C_Res_RS_D_scout_biere_8);
		D_scout_biere_end();
}
