/*
 *
 *  ==  Coconut : "Welcome in the Coconut Island" ==
 *  2D Adventure Game Scenario
 *
 *  Copyright (C) 2000 Sebastien Josset
 *  sebastien.josset@free.fr
 *  
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Library General Public
 *  License as published by the Free Software Foundation; either
 *  version 2 of the License, or (at your option) any later version.
 *
 */
/*
 *
 *  Coconut
 *  Dialogue sorcier
 *
 *
 */

/****** Includes systmes ******/
/****** Includes applicatifs ******/

#include "coco_res.h"
#include "O_objets.h"
#include "D_sorcier.h"
#include "M_engine.h"
#include "S_son.h"



void D_sorcier_go()
{
		cgb_dialog_on();
		D_sorcier_1();
}

void D_sorcier_end()
{
	cgb_dialog_off();

}

/********************************/
void D_sorcier_1()
{
		cgb_obj_get_ptr_by_name(C_Objet_O_sorcier)->AffText(
					C_Res_RT_D_Sorcier_1, M_dialogue_temps_aff, T_TRUE);
		S_playWavFromRes(C_Res_RS_D_Sorcier_1);
		M_process_for_n_sec( M_dialogue_temps_aff );
		M_gdialogue.dialogue_set( 
					C_Res_RT_D_Sorcier_1_1,C_Res_RS_D_Sorcier_1_1,
					C_Res_RT_D_Sorcier_1_2,C_Res_RS_D_Sorcier_1_2,
					C_Res_RT_D_NULL,C_Res_RS_NULL,
					D_sorcier_1_rep);
}


void D_sorcier_1_rep(TE_Dialogue i_choix)
{
	switch(i_choix) {
	case Dialogue_1:
		D_sorcier_2();
		break;
	case Dialogue_2:
		D_sorcier_3();
		break;
	case Dialogue_3:
		break;
	default:
		break;
	}
}

/********************************/
void D_sorcier_2()
{
		cgb_obj_get_ptr_by_name(C_Objet_O_sorcier)->AffText(
					C_Res_RT_D_Sorcier_2, M_dialogue_temps_aff, T_TRUE);
		S_playWavFromRes(C_Res_RS_D_Sorcier_2);
		M_process_for_n_sec( M_dialogue_temps_aff );
		M_gdialogue.dialogue_set( 
					C_Res_RT_D_Sorcier_2_1,C_Res_RS_D_Sorcier_2_1,
					C_Res_RT_D_Sorcier_2_2,C_Res_RS_D_Sorcier_2_2,
					C_Res_RT_D_Sorcier_2_3,C_Res_RS_D_Sorcier_2_3,
					D_sorcier_2_rep);
}


void D_sorcier_2_rep(TE_Dialogue i_choix)
{
	switch(i_choix) {
	case Dialogue_1:
		D_sorcier_4();
		break;
	case Dialogue_2:
		D_sorcier_3();
		break;
	case Dialogue_3:
		D_sorcier_12();
		break;
	default:
		break;
	}
}

/********************************/
void D_sorcier_3()
{
		cgb_obj_get_ptr_by_name(C_Objet_O_sorcier)->AffText(
					C_Res_RT_D_Sorcier_3, M_dialogue_temps_aff, T_TRUE);
		S_playWavFromRes(C_Res_RS_D_Sorcier_3);
		M_process_for_n_sec( M_dialogue_temps_aff );
		M_gdialogue.dialogue_set( 
					C_Res_RT_D_Sorcier_3_1,C_Res_RS_D_Sorcier_3_1,
					C_Res_RT_D_Sorcier_3_2,C_Res_RS_D_Sorcier_3_2,
					C_Res_RT_D_NULL,C_Res_RS_NULL,
					D_sorcier_3_rep);
}


void D_sorcier_3_rep(TE_Dialogue i_choix)
{
	switch(i_choix) {
	case Dialogue_1:
		D_sorcier_5();
		break;
	case Dialogue_2:
		D_sorcier_6();
		break;
	case Dialogue_3:
		break;
	default:
		break;
	}
}

/********************************/
void D_sorcier_4()
{
		cgb_obj_get_ptr_by_name(C_Objet_O_sorcier)->AffText(
					C_Res_RT_D_Sorcier_4, M_dialogue_temps_aff, T_TRUE);
		S_playWavFromRes(C_Res_RS_D_Sorcier_4);
		M_process_for_n_sec( M_dialogue_temps_aff );
		M_gdialogue.dialogue_set( 
					C_Res_RT_D_Sorcier_4_1,C_Res_RS_D_Sorcier_4_1,
					C_Res_RT_D_Sorcier_4_2,C_Res_RS_D_Sorcier_4_2,
					C_Res_RT_D_Sorcier_4_3,C_Res_RS_D_Sorcier_4_3,
					D_sorcier_4_rep);
}


void D_sorcier_4_rep(TE_Dialogue i_choix)
{
	switch(i_choix) {
	case Dialogue_1:
		D_sorcier_8();
		break;
	case Dialogue_2:
		D_sorcier_8();
		break;
	case Dialogue_3:
		D_sorcier_end();
		break;
	default:
		break;
	}
}

/********************************/
void D_sorcier_5()
{
		cgb_obj_get_ptr_by_name(C_Objet_O_sorcier)->AffText(
					C_Res_RT_D_Sorcier_5, M_dialogue_temps_aff, T_TRUE);
		S_playWavFromRes(C_Res_RS_D_Sorcier_5);
		D_sorcier_end();

}



/********************************/
void D_sorcier_6()
{
		cgb_obj_get_ptr_by_name(C_Objet_O_sorcier)->AffText(
					C_Res_RT_D_Sorcier_6, M_dialogue_temps_aff, T_TRUE);
		S_playWavFromRes(C_Res_RS_D_Sorcier_6);
		M_process_for_n_sec( M_dialogue_temps_aff );
		M_gdialogue.dialogue_set( 
					C_Res_RT_D_Sorcier_6_1,C_Res_RS_D_Sorcier_6_1,
					C_Res_RT_D_Sorcier_6_2,C_Res_RS_D_Sorcier_6_2,
					C_Res_RT_D_NULL,C_Res_RS_NULL,
					D_sorcier_6_rep);
}


void D_sorcier_6_rep(TE_Dialogue i_choix)
{
	switch(i_choix) {
	case Dialogue_1:
		D_sorcier_10();
		break;
	case Dialogue_2:
		D_sorcier_end();
		break;
	case Dialogue_3:
		break;
	default:
		break;
	}
}

/********************************/
void D_sorcier_8()
{
		cgb_dialog_on();
		cgb_obj_get_ptr_by_name(C_Objet_O_sorcier)->AffText(
					C_Res_RT_D_Sorcier_8, M_dialogue_temps_aff, T_TRUE);
		S_playWavFromRes(C_Res_RS_D_Sorcier_8);
		M_process_for_n_sec( M_dialogue_temps_aff );
		M_gdialogue.dialogue_set( 
					C_Res_RT_D_Sorcier_8_1,C_Res_RS_D_Sorcier_8_1,
					C_Res_RT_D_Sorcier_8_2,C_Res_RS_D_Sorcier_8_2,
					C_Res_RT_D_NULL,C_Res_RS_NULL,
					D_sorcier_8_rep);
}


void D_sorcier_8_rep(TE_Dialogue i_choix)
{
	switch(i_choix) {
	case Dialogue_1:
		D_sorcier_end();
		break;
	case Dialogue_2:
		D_sorcier_11();
		break;
	case Dialogue_3:
		break;
	default:
		break;
	}
}

/********************************/
void D_sorcier_10()
{
		cgb_obj_get_ptr_by_name(C_Objet_O_sorcier)->AffText(
					C_Res_RT_D_Sorcier_10, M_dialogue_temps_aff, T_TRUE);
		S_playWavFromRes(C_Res_RS_D_Sorcier_10);
		cgb_obj_get_ptr_by_name(C_Objet_O_village_vers_PC)->SetSceneSuivanteName(C_Scene_S_PC);
		D_sorcier_end();
}

/********************************/
void D_sorcier_11()
{
		cgb_obj_get_ptr_by_name(C_Objet_O_sorcier)->AffText(
					C_Res_RT_D_Sorcier_11, M_dialogue_temps_aff, T_TRUE);
		S_playWavFromRes(C_Res_RS_D_Sorcier_11);
		D_sorcier_end();
}

/********************************/
void D_sorcier_13()
{
		cgb_obj_get_ptr_by_name(C_Objet_O_sorcier)->AffText(
					C_Res_RT_D_Sorcier_13, M_dialogue_temps_aff, T_TRUE);
		S_playWavFromRes(C_Res_RS_D_Sorcier_13);
		D_sorcier_end();
}



/********************************/
void D_sorcier_12()
{
		cgb_dialog_on();
		cgb_obj_get_ptr_by_name(C_Objet_O_sorcier)->AffText(
					C_Res_RT_D_Sorcier_12, M_dialogue_temps_aff, T_TRUE);
		S_playWavFromRes(C_Res_RS_D_Sorcier_12);
		M_process_for_n_sec( M_dialogue_temps_aff );
		M_gdialogue.dialogue_set( 
					C_Res_RT_D_Sorcier_12_1,C_Res_RS_D_Sorcier_12_1,
					C_Res_RT_D_Sorcier_12_2,C_Res_RS_D_Sorcier_12_2,
					C_Res_RT_D_NULL,C_Res_RS_NULL,
					D_sorcier_12_rep);
}


void D_sorcier_12_rep(TE_Dialogue i_choix)
{
	switch(i_choix) {
	case Dialogue_1:
		D_sorcier_13();
		break;
	case Dialogue_2:
		D_sorcier_13();
		break;
	case Dialogue_3:
		break;
	default:
		break;
	}
}

