/*
 *
 *  ==  Coconut : "Welcome in the Coconut Island" ==
 *  2D Adventure Game Scenario
 *
 *  Copyright (C) 2000 Sebastien Josset
 *  sebastien.josset@free.fr
 *  
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Library General Public
 *  License as published by the Free Software Foundation; either
 *  version 2 of the License, or (at your option) any later version.
 *
 */
/*
 *
 *  Coconut
 *  Moteur biond_parachute
 *
 *
 */

/****** Includes systmes ******/
/****** Includes applicatifs ******/

#include "coco_res.h"
#include "O_objets.h"
#include "S_biond_parachute.h"
#include "M_engine.h"
#include "S_son.h"


void M_biond_parachute_donne_matelas()
{
		cgb_obj_get_ptr_by_name(C_Objet_O_panneau_matelas)->SetisAfficher(T_FALSE);
		cgb_obj_get_ptr_by_name(C_Objet_O_matelas)->SetisAfficher(T_TRUE);		
		cgb_obj_get_ptr_by_name(C_Objet_O_parachutiste)->SetisAfficher(T_FALSE);
		cgb_obj_get_ptr_by_name(C_Objet_O_parachute)->SetisAfficher(T_TRUE);		
		cgb_obj_get_ptr_by_name(C_Objet_O_parachutiste_tombe)->SetisAfficher(T_TRUE);	
		// Il tombe
		cgb_obj_get_ptr_by_name(C_Objet_O_parachutiste_tombe)->SetPointDest(C_Objet_O_pt_contact_matelas1, 1500);
		M_process_for_n_sec( 1500 );
		// rebond, il monte
		cgb_obj_get_ptr_by_name(C_Objet_O_parachutiste_tombe)->SetPointDest(C_Objet_O_pt_contact_matelas2, 1000);
		M_process_for_n_sec( 1000 );
		// rebond, il descend
		cgb_obj_get_ptr_by_name(C_Objet_O_parachutiste_tombe)->SetPointDest(C_Objet_O_pt_contact_matelas3, 1000);
		M_process_for_n_sec( 1000 );
		// il dit merci
		cgb_obj_get_ptr_by_name(C_Objet_O_parachutiste)->SetAnimCourantebyName(C_Res_R_parachutiste_marche);
		cgb_obj_get_ptr_by_name(C_Objet_O_parachutiste)->AffText(
					C_Res_RT_D_biond_parachute_rdv_bar, M_dialogue_temps_aff, T_TRUE);
		S_playWavFromRes(C_Res_RS_D_biond_parachute_rdv_bar);
		M_process_for_n_sec( M_dialogue_temps_aff );

		// il part
		cgb_obj_get_ptr_by_name(C_Objet_O_parachutiste_tombe)->SetPointDest(C_Objet_O_pt_contact_matelas4, 2000);
		M_process_for_n_sec( 2000 );
		// parti
		cgb_obj_get_ptr_by_name(C_Objet_O_parachutiste_tombe)->SetisAfficher(T_FALSE);
		cgb_obj_get_ptr_by_name(C_Objet_O_bar_biond)->SetisAfficher(T_TRUE);

}
