/*
 *
 *  ==  Coconut : "Welcome in the Coconut Island" ==
 *  2D Adventure Game Scenario
 *
 *  Copyright (C) 2000 Sebastien Josset
 *  sebastien.josset@free.fr
 *  
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Library General Public
 *  License as published by the Free Software Foundation; either
 *  version 2 of the License, or (at your option) any later version.
 *
 */
/*
 *
 *  Coconut
 *  Moteur biond_parachute
 *
 *
 */

/****** Includes systmes ******/
/****** Includes applicatifs ******/

#include "coco_res.h"
#include "O_objets.h"
#include "S_scout_biere.h"
#include "M_engine.h"
#include "S_son.h"

// flags
int nb_biere=0; 

void M_scout_biere_boit_biere()
{
		// on la boit
		cgb_obj_get_ptr_by_name(C_Objet_O_panneau_biere_plein)->SetisAfficher(T_FALSE);
		cgb_obj_get_ptr_by_name(C_Objet_O_scout_balcon_wait)->AffText(
					C_Res_RT_D_scout_biere_7, M_dialogue_temps_aff, T_TRUE);
		S_playWavFromRes(C_Res_RS_D_scout_biere_7);
		cgb_obj_get_ptr_by_name(C_Objet_O_scout_balcon_wait)->SetAnimCourantebyName(C_Res_R_scout_balcon_boit);
		M_process_for_n_sec( 1500 );
		S_playWavFromRes(C_Res_RS_D_scout_biere_8);
		cgb_obj_get_ptr_by_name(C_Objet_O_scout_balcon_wait)->SetAnimCourantebyName(C_Res_R_scout_balcon_wait);

		// on va pisser ?
		nb_biere++;
		if (nb_biere>3) {
			cgb_obj_get_ptr_by_name(C_Objet_O_scout_balcon_wait)->SetPointDest(C_Objet_O_pt_balcon_porte, 1500);
			cgb_obj_get_ptr_by_name(C_Objet_O_scout_balcon_wait)->SetAnimCourantebyName(C_Res_R_scout_marche_balcon);
			M_process_for_n_sec( 1500 );
			cgb_obj_get_ptr_by_name(C_Objet_O_scout_balcon_wait)->SetisAfficher(T_FALSE);
			cgb_obj_get_ptr_by_name(C_Objet_O_WC_scout)->SetisAfficher(T_TRUE);
			cgb_obj_get_ptr_by_name(C_Objet_O_WC_periscope)->SetisAfficher(T_FALSE);
			cgb_obj_get_ptr_by_name(C_Objet_O_WC_mec_haut)->SetisAfficher(T_TRUE);
			cgb_obj_get_ptr_by_name(C_Objet_O_WC_mec_bas)->SetisAfficher(T_TRUE);
		}

}
